<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */

require_once JOOMSPORT_PATH_INCLUDES . 'pages' . DIRECTORY_SEPARATOR . 'joomsport-page-stages.php';
require_once JOOMSPORT_PATH_INCLUDES . 'pages' . DIRECTORY_SEPARATOR . 'joomsport-page-extrafields.php';
require_once JOOMSPORT_PATH_INCLUDES . 'pages' . DIRECTORY_SEPARATOR . 'joomsport-page-events.php';
require_once JOOMSPORT_PATH_INCLUDES . 'pages' . DIRECTORY_SEPARATOR . 'joomsport-page-settings.php';
require_once JOOMSPORT_PATH_INCLUDES . 'pages' . DIRECTORY_SEPARATOR . 'joomsport-page-help.php';
class JoomSportAdminInstall {
    
    public static function init(){
        global $joomsportSettings;
        self::joomsport_languages();
        add_action( 'admin_menu', array('JoomSportAdminInstall', 'create_menu') );
        
        self::_defineTables();
        $joomsportSettings = new JoomsportSettings();
    }


    public static function create_menu() {
        $jsconfig =  new JoomsportSettings();
        add_menu_page( __('JoomSport', 'joomsport-sports-league-results-management'), __('JoomSport', 'joomsport-sports-league-results-management'),
            'manage_options', 'joomsport', array('JoomSportAdminInstall', 'action'),
            plugins_url( '../assets/images/cup.png', __FILE__ ) );
        add_submenu_page( 'joomsport', __('Settings', 'joomsport-sports-league-results-management'), __('Settings', 'joomsport-sports-league-results-management'),
                'manage_options', 'joomsport_settings', array('JoomsportPageSettings', 'action') );
        add_submenu_page( 'joomsport', __( 'Tournaments', 'joomsport-sports-league-results-management' ), __( 'Tournaments', 'joomsport-sports-league-results-management' ), 'manage_options', 'edit-tags.php?taxonomy=joomsport_tournament&post_type=joomsport_season');
        /*add_submenu_page( 'joomsport', __('Settings', 'joomsport'), __('Settings', 'joomsport'),
                'manage_options', 'magicleague_settings', array('Mgl_Page_Settings', 'action') );*/
        add_submenu_page( 'joomsport', __( 'Matchday', 'joomsport-sports-league-results-management' ), __( 'Matchdays', 'joomsport-sports-league-results-management' ), 'manage_options', 'edit-tags.php?taxonomy=joomsport_matchday&post_type=joomsport_match');
        
        add_submenu_page( "joomsport-sports-league-results-management", __( "Club", "joomsport-sports-league-results-management" ), __( "Clubs", "joomsport-sports-league-results-management" ), "manage_options", "joomsport-page-clubs", function(){ $obj = JoomSportExtraField_Plugin::get_instance();$obj->plugin_settings_page();});add_submenu_page( "joomsport-sports-league-results-management", __( "Venue", "joomsport-sports-league-results-management" ), __( "Venues", "joomsport-sports-league-results-management" ), "manage_options", "joomsport-page-venues", function(){ $obj = JoomSportExtraField_Plugin::get_instance();$obj->plugin_settings_page();});
        $obj = JoomSportStages_Plugin::get_instance();
        $hook = add_submenu_page( 'joomsport', __( 'Game stage', 'joomsport-sports-league-results-management' ), __( 'Game stages', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-page-gamestages', function(){ $obj = JoomSportStages_Plugin::get_instance();$obj->plugin_settings_page();});
                
	add_action( "load-$hook", function(){ $obj = JoomSportStages_Plugin::get_instance();$obj->screen_option();}  );
        
        add_submenu_page( 'options.php', __( 'Game stage New', 'joomsport-sports-league-results-management' ), __( 'Game stages New', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-gamestages-form', array('JoomSportStagesNew_Plugin', 'view'));
        
        $obj = JoomSportExtraField_Plugin::get_instance();
        $hook = add_submenu_page( 'joomsport', __( 'Extra field', 'joomsport-sports-league-results-management' ), __( 'Extra fields', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-page-extrafields', function(){ $obj = JoomSportExtraField_Plugin::get_instance();$obj->plugin_settings_page();});
                
	add_action( "load-$hook", function(){ $obj = JoomSportExtraField_Plugin::get_instance();$obj->screen_option();}  );
        
        add_submenu_page( 'options.php', __( 'Extra field New', 'joomsport-sports-league-results-management' ), __( 'Extra field New', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-extrafields-form', array('JoomSportExtraFieldsNew_Plugin', 'view'));
        
        $obj = JoomSportEvents_Plugin::get_instance();
        $hook = add_submenu_page( 'joomsport', __( 'Event', 'joomsport-sports-league-results-management' ), __( 'Events', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-page-events', function(){ $obj = JoomSportEvents_Plugin::get_instance();$obj->plugin_settings_page();});
                
	add_action( "load-$hook", function(){ $obj = JoomSportEvents_Plugin::get_instance();$obj->screen_option();} );
        
        add_submenu_page( 'options.php', __( 'Event New', 'joomsport-sports-league-results-management' ), __( 'Event New', 'joomsport-sports-league-results-management' ), 'manage_options', 'joomsport-events-form', array('JoomSportEventsNew_Plugin', 'view'));
        
        add_submenu_page( 'joomsport', __('Help', 'joomsport-sports-league-results-management'), __('Help', 'joomsport-sports-league-results-management'),
                'manage_options', 'joomsport_help', array('JoomsportPageHelp', 'action') );
        
        // javascript
        wp_enqueue_script('jquery');
        wp_enqueue_script('jquery-ui-core');
        wp_enqueue_script('jquery-ui-dialog');
        wp_enqueue_script('jquery-ui-sortable');
        wp_enqueue_script('jquery-ui-datepicker');
        wp_enqueue_style('jquery-uidp-style', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');

        add_action('admin_enqueue_scripts', array('JoomSportAdminInstall', 'joomsport_admin_js'));
        add_action('admin_enqueue_scripts', array('JoomSportAdminInstall', 'joomsport_admin_css'));

        wp_enqueue_style('jscssfont','//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');
        
    }

    public static function joomsport_fe_wp_head(){
        global $post,$post_type;
        $jsArray = array("joomsport_season","joomsport_match","joomsport_team","joomsport_match","joomsport_player","joomsport_venue");
        if(in_array($post_type, $jsArray) || isset($_REQUEST['wpjoomsport']) || get_query_var('joomsport_tournament') || get_query_var('joomsport_matchday') || get_query_var('joomsport_club')){
             wp_enqueue_script('jsbootstrap-js','https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js',array ( 'jquery' ));

             wp_enqueue_script('jsnailthumb',plugin_dir_url( __FILE__ ).'../sportleague/assets/js/jquery.nailthumb.1.1.js');
             wp_enqueue_script('jstablesorter',plugin_dir_url( __FILE__ ).'../sportleague/assets/js/jquery.tablesorter.min.js');
             wp_enqueue_script('jsselect2',plugin_dir_url( __FILE__ ).'../sportleague/assets/js/select2.min.js');
             wp_enqueue_script('jsjoomsport',plugin_dir_url( __FILE__ ).'../sportleague/assets/js/joomsport.js');

             wp_enqueue_style('jscssbtstrp',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/btstrp.css');
             wp_enqueue_style('jscssjoomsport',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/joomsport.css');
             wp_enqueue_style('jscssbracket',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/drawBracket.css');
             wp_enqueue_style('jscssnailthumb',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/jquery.nailthumb.1.1.css');
             wp_enqueue_style('jscsslightbox',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/lightbox.css');
             wp_enqueue_style('jscssselect2',plugin_dir_url( __FILE__ ).'../sportleague/assets/css/select2.min.css');
             wp_enqueue_style('jscssfont','//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');
             wp_enqueue_script('jquery-ui-datepicker');
             wp_enqueue_style('jquery-uidp-style', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');
        }
     }

    public static function action(){
    
    }
    
    
    public static function joomsport_admin_js(){
        global $post_type;
        wp_enqueue_script( 'joomsport-common-js', plugins_url('../assets/js/common.js', __FILE__) );
        wp_enqueue_script( 'joomsport-jchosen-js', plugins_url('../assets/js/chosen.jquery.min.js', __FILE__),array('jquery') );
        wp_enqueue_media();
        if($post_type == 'joomsport_season'){
            wp_enqueue_script( 'joomsport-colorgrid-js', plugins_url('../includes/3d/color_piker/201a.js', __FILE__) );
        }
        //echo '<script type="text/javascript" src="'.plugins_url('js/buttons.js', __FILE__).'"></script>';
    }
    
    public static function joomsport_admin_css(){
        global $post_type;
        $post_type_array = array('joomsport_team','joomsport_season','joomsport_player','joomsport_match','joomsport_venue');
        if (in_array($post_type,$post_type_array)) :
            wp_enqueue_style( 'joomsport-customdash-css', plugins_url('../assets/css/customdash.css', __FILE__) );
        endif;
        if($post_type == 'joomsport_season'){
            wp_enqueue_style( 'joomsport-colorgrid-css', plugins_url('../includes/3d/color_piker/style.css', __FILE__) );
        }
        wp_enqueue_style( 'joomsport-common-css', plugins_url('../assets/css/common.css', __FILE__) );
        wp_enqueue_style( 'joomsport-jchosen-css', plugins_url('../assets/css/chosen.min.css', __FILE__) );
        //echo '<link rel="stylesheet" id="mgladmincss" type="text/css" href="'.plugins_url('../css/common.css', __FILE__).'" />';
    }
    
    public static function _defineTables()
    {
            global $wpdb;
            $wpdb->joomsport_config = $wpdb->prefix . 'joomsport_config';
            $wpdb->joomsport_maps = $wpdb->prefix . 'joomsport_maps';
            $wpdb->joomsport_ef = $wpdb->prefix . 'joomsport_extra_fields';
            $wpdb->joomsport_ef_select = $wpdb->prefix . 'joomsport_extra_select';
            $wpdb->joomsport_events = $wpdb->prefix . 'joomsport_events';
            $wpdb->joomsport_seasons = $wpdb->prefix . 'joomsport_seasons';
            $wpdb->joomsport_match_statuses = $wpdb->prefix . 'joomsport_match_statuses';
            $wpdb->joomsport_groups = $wpdb->prefix . 'joomsport_groups';
            $wpdb->joomsport_season_table = $wpdb->prefix . 'joomsport_season_table';
            $wpdb->joomsport_playerlist = $wpdb->prefix . 'joomsport_playerlist';
            $wpdb->joomsport_match_events = $wpdb->prefix . 'joomsport_match_events';
            $wpdb->joomsport_squad = $wpdb->prefix . 'joomsport_squad';
    }

    public static function _installdb(){
        global $wpdb;
        flush_rewrite_rules();
        self::_defineTables();
        
        include_once( ABSPATH.'/wp-admin/includes/upgrade.php' );

        $charset_collate = '';
        if ( $wpdb->has_cap( 'collation' ) ) {
                if ( ! empty($wpdb->charset) )
                        $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
                if ( ! empty($wpdb->collate) )
                        $charset_collate .= " COLLATE $wpdb->collate";
        }


        $create_config_sql = "CREATE TABLE {$wpdb->joomsport_config} (
                                        `id` smallint NOT NULL AUTO_INCREMENT ,
                                        `cName` varchar( 100 ) NOT NULL default '',
                                        `cValue` longtext NOT NULL,
                                        PRIMARY KEY ( `id` )) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_config, $create_config_sql );
        
        if(!$wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->joomsport_config}")){
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'general'),array("%s"));
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'player_reg'),array("%s"));
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'team_moder'),array("%s"));
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'season_admin'),array("%s"));
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'layouts'),array("%s"));
            $wpdb->insert($wpdb->joomsport_config,array('cName' => 'other'),array("%s"));
        }
        
        $create_config_sql = "CREATE TABLE {$wpdb->joomsport_maps} (
                                        `id` smallint NOT NULL AUTO_INCREMENT ,
                                        `m_name` varchar( 100 ) NOT NULL default '',
                                        `map_descr` longtext NOT NULL,
                                        PRIMARY KEY ( `id` )) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_maps, $create_config_sql );
        
        $create_ef_sql = "CREATE TABLE {$wpdb->joomsport_ef} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `name` varchar(255) NOT NULL DEFAULT '',
                                        `published` char(1) NOT NULL DEFAULT '1',
                                        `type` char(1) NOT NULL DEFAULT '0',
                                        `ordering` int(11) NOT NULL DEFAULT '0',
                                        `e_table_view` char(1) NOT NULL DEFAULT '0',
                                        `field_type` char(1) NOT NULL DEFAULT '0',
                                        `reg_exist` char(1) NOT NULL DEFAULT '0',
                                        `reg_require` char(1) NOT NULL DEFAULT '0',
                                        `fdisplay` char(1) NOT NULL DEFAULT '1',
                                        `season_related` varchar(1) NOT NULL DEFAULT '0',
                                        `faccess` varchar(1) NOT NULL DEFAULT '0',
                                        `display_playerlist` varchar(1) NOT NULL DEFAULT '0',
                                        PRIMARY KEY ( `id` )) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_ef, $create_ef_sql );
        
        $create_ef_select_sql = "CREATE TABLE {$wpdb->joomsport_ef_select} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `fid` int(11) NOT NULL default '0',
                                        `sel_value` varchar(255) NOT NULL default '',
                                        `eordering` int(11) NOT NULL default '0',
                                        PRIMARY KEY  (`id`),
                                        KEY `fid` (`fid`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_ef_select, $create_ef_select_sql );
        
        $create_events_sql = "CREATE TABLE {$wpdb->joomsport_events} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `e_name` varchar(255) NOT NULL default '',
                                        `e_img` varchar(255) NOT NULL default '',
                                        `player_event` char(1) NOT NULL default '0',
                                        `result_type` VARCHAR( 1 ) NOT NULL DEFAULT  '0',
                                        `sumev1` INT NOT NULL,
                                        `sumev2` INT NOT NULL,
                                        `ordering` INT NOT NULL,
                                        PRIMARY KEY  (`id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_events, $create_events_sql );
        
        $create_season_sql = "CREATE TABLE {$wpdb->joomsport_seasons} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `post_id` int(11) NOT NULL,
                                        `season_options` longtext,
                                        `s_descr` text NOT NULL,
                                        `s_rules` text NOT NULL,
                                        `season_columns` text NOT NULL,
                                        PRIMARY KEY  (`id`),
                                        UNIQUE KEY (`post_id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_seasons, $create_season_sql );
        
        $create_match_statuses_sql = "CREATE TABLE {$wpdb->joomsport_match_statuses} (
                                        `id` int(11) NOT NULL auto_increment,
                                        `stName` varchar(100) NOT NULL,
                                        `stShort` varchar(20) NOT NULL,
                                        `ordering` tinyint(4) NOT NULL,
                                          PRIMARY KEY  (`id`)) $charset_collate AUTO_INCREMENT=2;";
        maybe_create_table( $wpdb->joomsport_match_statuses, $create_match_statuses_sql );
        
        $create_groups_sql = "CREATE TABLE {$wpdb->joomsport_groups} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `s_id` int(11) NOT NULL,
                                        `group_name` varchar(255) NOT NULL DEFAULT '',
                                        `group_partic` text NOT NULL,
                                        `ordering` int(11) NOT NULL,
                                        PRIMARY KEY  (`id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_groups, $create_groups_sql );
        
        $create_season_table_sql = "CREATE TABLE {$wpdb->joomsport_season_table} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `season_id` int NOT NULL,
                                        `group_id` int NOT NULL,
                                        `participant_id` int NOT NULL,
                                        `options` text NOT NULL,
                                        `ordering` tinyint NOT NULL,
                                        PRIMARY KEY  (`id`),
                                        UNIQUE KEY `season` (`season_id`,`group_id`,`ordering`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_season_table, $create_season_table_sql );
        
        $create_playerlist_sql = "CREATE TABLE {$wpdb->joomsport_playerlist} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `player_id` int(11) NOT NULL,
                                        `season_id` int(11) NOT NULL,
                                        `team_id` int(11) NOT NULL,
                                        `played` int(11) NOT NULL DEFAULT '0',
                                        PRIMARY KEY  (`id`),
                                        UNIQUE KEY `player_id` (`player_id`,`season_id`,`team_id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_playerlist, $create_playerlist_sql );
        
        $create_matchevents_sql = "CREATE TABLE {$wpdb->joomsport_match_events} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `e_id` int(11) NOT NULL default '0',
                                        `player_id` int(11) NOT NULL default '0',
                                        `match_id` int(11) NOT NULL default '0',
                                        `season_id` int(11) NOT NULL default '0',
                                        `ecount`  TINYINT NOT NULL default '0',
                                        `minutes` varchar(20) NOT NULL default '',
                                        `t_id` int(11) NOT NULL default '0',
                                        `eordering`  TINYINT NOT NULL,
                                        PRIMARY KEY  (`id`),
                                        KEY `player_id` (`player_id`,`match_id`,`t_id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_match_events, $create_matchevents_sql );
        
        $create_squad_sql = "CREATE TABLE {$wpdb->joomsport_squad} (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `player_id` int(11) NOT NULL default '0',
                                        `team_id` int(11) NOT NULL default '0',
                                        `match_id` int(11) NOT NULL default '0',
                                        `season_id` int(11) NOT NULL default '0',
                                        `is_subs`  varchar(2) NOT NULL default '0',
                                        `squad_type`  varchar(1) NOT NULL default '0',
                                        `minutes` varchar(20) NOT NULL default '',
                                        `player_subs` int(11) NOT NULL default '0',
                                        `ordering`  TINYINT NOT NULL,
                                        PRIMARY KEY  (`id`)) $charset_collate;";
        maybe_create_table( $wpdb->joomsport_squad, $create_squad_sql );
        
    }
    
    public static function joomsport_languages() {
            $locale = apply_filters( 'plugin_locale', get_locale(), 'joomsport-sports-league-results-management' );

            load_textdomain( 'joomsport-sports-league-results-management', plugin_basename( dirname( __FILE__ ) . "/../languages/joomsport-sports-league-results-management-$locale.mo" ));
            load_plugin_textdomain( 'joomsport-sports-league-results-management', false, plugin_basename( dirname( __FILE__ ) . "/../languages" ) );
    }
}

add_action( 'init', array( 'JoomSportAdminInstall', 'init' ), 4);
add_action( 'wp_enqueue_scripts', array('JoomSportAdminInstall','joomsport_fe_wp_head') );
add_filter( 'custom_menu_order', 'wpsejs_joomsport_submenu_order' );

function wpsejs_joomsport_submenu_order( $menu_ord ) 
{
    global $submenu;

    $sort_array = array(
        __('Tournaments','joomsport-sports-league-results-management'),
        __('Seasons','joomsport-sports-league-results-management'),
        __('Matchdays','joomsport-sports-league-results-management'),
        __('Clubs','joomsport-sports-league-results-management'),
        __('Teams','joomsport-sports-league-results-management'),
        __('Players','joomsport-sports-league-results-management'),
        __('Venues','joomsport-sports-league-results-management'),
        __('Events','joomsport-sports-league-results-management'),
        __('Game stages','joomsport-sports-league-results-management'),
        __('Extra fields','joomsport-sports-league-results-management'),
        __('Settings','joomsport-sports-league-results-management'),
        __('Help','joomsport-sports-league-results-management')
    );

    $arr = array();
    
    foreach ($sort_array as $sarr) {
        foreach ($submenu['joomsport'] as $sub) {
            if($sub[0] == $sarr){
                $arr[] = $sub;
            }
        }
    }
    
    
    $submenu['joomsport'] = $arr;

    return $menu_ord;
}

function jsmatch_hide_that_stuff() {
    if('joomsport_match' == get_post_type()){
        echo '<style type="text/css">
          #favorite-actions {display:none;}
          .add-new-h2{display:none;}
          .tablenav{display:none;}
          .page-title-action{display:none;}
          </style>';
    }elseif('joomsport_season' == get_post_type()){
        if(!wp_count_terms('joomsport_tournament')){
            $txt = addslashes(sprintf(__('Tournament (league) required to create Season. Let\'s %s add tournament %s first.','joomsport-sports-league-results-management'),'<a href="'.(get_admin_url(get_current_blog_id(), 'edit-tags.php?taxonomy=joomsport_tournament')).'">','</a>'));
            echo '<script>jQuery( document ).ready(function() {jQuery(".wrap").html("<div class=\'jswarningbox\'><p>'.$txt.'</p></div>");});</script>';
        }
        
    }
}
function joomsport_setup_theme() {
        if ( ! current_theme_supports( 'post-thumbnails' ) ) {
                add_theme_support( 'post-thumbnails' );
        }

        // Add image sizes
        add_image_size( 'joomsport-thmb-medium',  310, 'auto', false );
        add_image_size( 'joomsport-thmb-mini',  60, 'auto', false );
}
add_action('admin_head', 'jsmatch_hide_that_stuff');
add_action( 'after_setup_theme', 'joomsport_setup_theme' );

if(!function_exists('joomsport_set_current_menu')){

    function joomsport_set_current_menu($parent_file){
        global $submenu_file, $current_screen, $pagenow;
        $ptypes = array("joomsport_team","joomsport_season","joomsport_match");
        // Set the submenu as active/current while anywhere in your Custom Post Type (nwcm_news)
        if(in_array($current_screen->post_type,$ptypes)) {

            if($pagenow == 'post.php'){
                if($current_screen->post_type == 'joomsport_match'){
                   
                        $submenu_file = 'edit-tags.php?taxonomy=joomsport_matchday&post_type='.$current_screen->post_type;
            
                }else{
                    $submenu_file = 'edit.php?post_type='.$current_screen->post_type;
                }
            }

            if($pagenow == 'edit-tags.php' || $pagenow == 'term.php'){
                switch ($current_screen->post_type) {
                    case 'joomsport_season':
                        $submenu_file = 'edit-tags.php?taxonomy=joomsport_tournament&post_type='.$current_screen->post_type;
            

                        break;
                    case 'joomsport_team':
                        $submenu_file = 'edit-tags.php?taxonomy=joomsport_club&post_type='.$current_screen->post_type;
            

                        break;
                    case 'joomsport_match':
                        $submenu_file = 'edit-tags.php?taxonomy=joomsport_matchday&post_type='.$current_screen->post_type;
            

                        break;

                    default:
                        break;
                }
            }

            $parent_file = 'joomsport';

        }

        return $parent_file;

    }

    add_filter('parent_file', 'joomsport_set_current_menu');

}
add_action('init', 'joomsport_myStartSessionJS', 1);
function joomsport_myStartSessionJS() {
    if(!session_id()) {
        session_start();
    }
}