<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
require_once JOOMSPORT_PATH_INCLUDES . 'classes'. DIRECTORY_SEPARATOR . 'joomsport-class-match.php';
class JoomSportMetaMatch {
    public static function output( $post ) {
        global $post, $thepostid, $wp_meta_boxes;
        
        
        $thepostid = $post->ID;
        $metadata = get_post_meta($post->ID,'_joomsport_seasonid',true);
        $t_single = JoomSportHelperObjects::getTournamentType($metadata);
        require_once JOOMSPORT_PATH_HELPERS . 'tabs.php';
        $etabs = new esTabs();
        wp_nonce_field( 'joomsport_match_savemetaboxes', 'joomsport_match_nonce' );
        echo '<div id="joomsportContainerBE">';
        if(!$t_single){
        ?>
        <div class="jsBEsettings" style="padding:0px;">
            <!-- <tab box> -->
            <ul class="tab-box">
                <?php
                echo $etabs->newTab(__('Main','joomsport-sports-league-results-management'), 'main_conf', '', 'vis');
                
                ?>
            </ul>	
            <div style="clear:both"></div>
        </div>
        <?php } ?>
        <div id="main_conf_div" class="tabdiv">
            <div>
                <div>
                    <?php
                    do_meta_boxes(get_current_screen(), 'joomsportintab_match1', $post);
                    unset($wp_meta_boxes[get_post_type($post)]['joomsportintab_match1']);
                    ?>
                    
                </div>    
            </div>
        </div>   
        <?php
        
        if(!$t_single){
        ?>
        <div id="col_conf_div" class="tabdiv visuallyhidden">
            <div>
                <?php
                do_meta_boxes(get_current_screen(), 'joomsportintab_match2', $post);
                unset($wp_meta_boxes[get_post_type($post)]['joomsportintab_match2']);
                ?>
            </div>    
        </div>
        <?php
        }
        ?>
        </div>
        <?php
    }
        
        
    public static function js_meta_score($post){

        $metadata = get_post_meta($post->ID,'_joomsport_match_score',true);
        $matchObj = JoomSportHelperObjects::getMatchType($post->ID);
        $matchObj->getScore();

    }
    public static function js_meta_about($post){

        $metadata = get_post_meta($post->ID,'_joomsport_match_about',true);
        echo wp_editor($metadata, 'about',array("textarea_rows"=>3));


    }
    
    public static function js_meta_general($post){
        global $wpdb;
        $metadata = get_post_meta($post->ID,'_joomsport_match_general',true);
        $mstatuses = $wpdb->get_results('SELECT id,stName as name FROM '.$wpdb->joomsport_match_statuses.' ORDER BY ordering');
        $is_field = array();
        $is_field[] = JoomSportHelperSelectBox::addOption(0, __("Fixtures", "joomsport-sports-league-results-management"));
        $is_field[] = JoomSportHelperSelectBox::addOption(1, __("Played", "joomsport-sports-league-results-management"));
        if(count($mstatuses)){
            $is_field = array_merge($is_field,$mstatuses);
        }
        $m_played = get_post_meta($post->ID,'_joomsport_match_played',true);
        $m_date = get_post_meta($post->ID,'_joomsport_match_date',true);
        $m_time = get_post_meta($post->ID,'_joomsport_match_time',true);
        $m_venue = get_post_meta($post->ID,'_joomsport_match_venue',true);
        
        ?>
        <div>
            <label><?php echo __('Status','joomsport-sports-league-results-management');?></label>
            <div>
                <?php echo JoomSportHelperSelectBox::Simple('m_played', $is_field,$m_played,'',false);?>
            </div>
        </div>
        <div>
            <label><?php echo __('Date','joomsport-sports-league-results-management');?></label>
            <div>
                <input type="text" class="jsdatefield" name="m_date" value="<?php echo $m_date?>" />
            </div>
        </div>
        <div>
            <label><?php echo __('Time','joomsport-sports-league-results-management');?></label>
            <div>
                <input type="time" name="m_time" value="<?php echo $m_time;?>" />
            </div>
        </div>
        <div>
            <label><?php echo __('Venue','joomsport-sports-league-results-management');?></label>
            <div>
                <?php
                $venues = get_posts(array(
                    'post_type' => 'joomsport_venue',
                    'post_status'      => 'publish',
                    'posts_per_page'   => -1,
                    )
                );
                $lists = array();

                for($intA=0;$intA<count($venues);$intA++){
                    $tmp = new stdClass();
                    $tmp->id = $venues[$intA]->ID;
                    $tmp->name = $venues[$intA]->post_title;
                    $lists[] = $tmp;
                }
                if($m_venue == ''){
                    $home_team = get_post_meta( $post->ID, '_joomsport_home_team', true );
                    $m_venue = get_post_meta($home_team,'_joomsport_team_venue',true);
                }
                echo JoomSportHelperSelectBox::Simple('venue_id', $lists,$m_venue);
                ?>
            </div>
        </div>

        <?php

    }
    public static function js_meta_ef($post){
        $metadata = get_post_meta($post->ID,'_joomsport_match_ef',true);
        
        $efields = JoomSportHelperEF::getEFList('2', 0);

        if(count($efields)){
            echo '<div class="jsminwdhtd jstable">';
            foreach ($efields as $ef) {

                JoomSportHelperEF::getEFInput($ef, isset($metadata[$ef->id])?$metadata[$ef->id]:null);
                //var_dump($ef);
                ?>
                
                <div class="jstable-row">
                    <div class="jstable-cell"><?php echo $ef->name?></div>
                    <div class="jstable-cell">
                        <?php 
                        if($ef->field_type == '2'){
                            wp_editor(isset($metadata[$ef->id])?$metadata[$ef->id]:'', 'ef_'.$ef->id,array("textarea_rows"=>3));
                            echo '<input type="hidden" name="ef['.$ef->id.']" value="ef_'.$ef->id.'" />';
                        }else{
                            echo $ef->edit;
                        }
                        ?>
                    </div>    
                        
                </div>    
                <?php
            }
            echo '</div>';
        }else{
            $link = get_admin_url(get_current_blog_id(), 'admin.php?page=joomsport-page-extrafields');
             printf( __( 'There are no extra fields assigned to this section. Create new one on %s Extra fields list %s', 'joomsport-sports-league-results-management' ), '<a href="'.$link.'">','</a>' );

        }

    }

    public static function joomsport_match_save_metabox($post_id, $post){
        // Add nonce for security and authentication.
        $nonce_name   = isset( $_POST['joomsport_match_nonce'] ) ? $_POST['joomsport_match_nonce'] : '';
        $nonce_action = 'joomsport_match_savemetaboxes';
 
        // Check if nonce is set.
        if ( ! isset( $nonce_name ) ) {
            return;
        }
 
        // Check if nonce is valid.
        if ( ! wp_verify_nonce( $nonce_name, $nonce_action ) ) {
            return;
        }
 
        // Check if user has permissions to save data.
        if ( ! current_user_can( 'edit_post', $post_id ) ) {
            return;
        }
 
        // Check if not an autosave.
        if ( wp_is_post_autosave( $post_id ) ) {
            return;
        }
 
        // Check if not a revision.
        if ( wp_is_post_revision( $post_id ) ) {
            return;
        }
        
        if('joomsport_match' == $_POST['post_type'] ){
            self::saveMetaScore($post_id);
            self::saveMetaAbout($post_id);
            self::saveMetaGeneral($post_id);
            
            $season_id = get_post_meta($post_id, '_joomsport_seasonid',true);
            do_action('joomsport_update_standings',$season_id);
            do_action('joomsport_update_playerlist',$season_id);
        }
    }
    
    private static function saveMetaScore($post_id){
        $maps = array();
        
        $md = wp_get_post_terms($post_id,'joomsport_matchday');
        $mdID = $md[0]->term_id;
        $metas = get_option("taxonomy_{$mdID}_metas");
        
        if(isset($_POST['mapid']) && count($_POST['mapid'])){
            for($intA=0;$intA<count($_POST['mapid']);$intA++){
                $map_index = intval($_POST['mapid'][$intA]);
                if($_POST['t1map'][$intA]!='' && $_POST['t2map'][$intA]!=''){
                    $map_team1 = intval($_POST['t1map'][$intA]);
                    $map_team2 = intval($_POST['t2map'][$intA]);
                    $maps[$_POST['mapid'][$intA]] = array($map_team1,$map_team2);
                }
            }
        }
        update_post_meta($post_id, '_joomsport_match_maps', $maps);
        
        $jmscore = isset($_POST['jmscore']) ? $_POST['jmscore']:array();
        $jmscore = array_map( 'sanitize_text_field', wp_unslash($jmscore));
        update_post_meta($post_id, '_joomsport_match_jmscore', $jmscore);
        if(!$metas['matchday_type']){
            update_post_meta($post_id, '_joomsport_home_score', intval($_POST['score1']));
            update_post_meta($post_id, '_joomsport_away_score', intval($_POST['score2']));
        }
        if(isset($_POST['knteamid']) && count($_POST['knteamid'])){
            update_post_meta($post_id, '_joomsport_home_team', intval($_POST['knteamid'][0]));
            update_post_meta($post_id, '_joomsport_away_team', intval($_POST['knteamid'][1]));
            if(isset($_POST['knteamscore']) && count($_POST['knteamscore'])){
                update_post_meta($post_id, '_joomsport_home_score', intval($_POST['knteamscore'][0]));
                update_post_meta($post_id, '_joomsport_away_score', intval($_POST['knteamscore'][1]));
            }
        }

    }
    private static function saveMetaAbout($post_id){
        $meta_data = isset($_POST['about'])?  wp_kses_post($_POST['about']):'';
        update_post_meta($post_id, '_joomsport_match_about', $meta_data);
    }
    private static function saveMetaGeneral($post_id){
        $meta_array = array();
        $m_played = intval($_POST['m_played']);
        $m_date = sanitize_text_field($_POST['m_date']);
        $m_time = sanitize_text_field($_POST['m_time']);
        update_post_meta($post_id, '_joomsport_match_played', $m_played);
        update_post_meta($post_id, '_joomsport_match_date', $m_date);
        update_post_meta($post_id, '_joomsport_match_time', $m_time);
        $venue_id = isset($_POST['venue_id'])?  intval($_POST['venue_id']):0;
        update_post_meta($post_id, '_joomsport_match_venue', $venue_id);
    }
    
}