<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
require_once JOOMSPORT_PATH_INCLUDES . 'classes'. DIRECTORY_SEPARATOR . 'joomsport-class-matchday.php';
class JoomSportMetaMatchday {
    
    public static function joomsport_matchday_edit_form_fields($term_obj){
        echo '</table>';
        echo '<div>';
        echo JoomSportClassMatchday::getViewEdit($term_obj->term_id);
        echo '</div>';
        echo '<div id="modalAj"><!-- Place at bottom of page --></div><table>';
    }
    public static function joomsport_matchday_add_form_fields($term_id){
        $results = JoomSportHelperObjects::getSeasons(null, false);
        ?>
        <div class="form-field form-required">    
        
            <label for="season_id"><?php echo __('Season', 'joomsport-sports-league-results-management'); ?></label>

            <?php
                echo JoomSportHelperSelectBox::Optgroup('season_id', $results,'',' id="season_id" onchange="jsFormMDVal();"',true,'');
            ?>
            <input type="text" id="season_id_inp" value="" required="required" aria-required="true" style="visibility: hidden;height:0px;">
            <p>
                <?php echo __('Please select season related to this matchday', 'joomsport-sports-league-results-management');?>
            </p>
        </div>
        <div class="form-field">    
        
            <label for="md_type"><?php echo __('Matchday Type', 'joomsport-sports-league-results-management'); ?></label>

                <?php
                $is_field = array();
                $is_field[] = JoomSportHelperSelectBox::addOption(0, __("Round Robin", "joomsport-sports-league-results-management"));
                
                echo JoomSportHelperSelectBox::Simple('matchday_type', $is_field,0,' id="JSMD_matchday_type"',false);
                
                ?>

            <p>
                <?php echo __('Please select matchday type', 'joomsport-sports-league-results-management');?>
            </p>
        </div>
        <div id="jsknock_only" class="form-field" style="display: none;">    
        
            <label for="md_knock_format"><?php echo __('Select format', 'joomsport-sports-league-results-management'); ?></label>

                <?php
                $is_field = array();
                $iFormat = 2;
                while($iFormat < 129){
                    $is_field[] = JoomSportHelperSelectBox::addOption($iFormat, $iFormat);
                    $iFormat *= 2;
                }

                echo JoomSportHelperSelectBox::Simple('md_knock_format', $is_field,16,'',false);
                
                ?>

            <p>
                <?php echo __('Please select knockout format', 'joomsport-sports-league-results-management');?>
            </p>
        </div>
    <?php
        
    }
    public static function joomsport_matchday_save_form_fields($term_id){

        if(!isset($_POST['tag_ID']) || !$_POST['tag_ID']){
            $term_metas = get_option("taxonomy_{$term_id}_metas");
            if (!is_array($term_metas)) {
                $term_metas = Array();
            }
            // Save the meta value
            $term_metas['season_id'] = intval($_POST['season_id']);
            $term_metas['matchday_type'] = intval($_POST['matchday_type']);
            if(isset($_POST['md_knock_format']) && intval($_POST['md_knock_format'])){
                $term_metas['knockout_format'] = intval($_POST['md_knock_format']);
            }
            update_option( "taxonomy_{$term_id}_metas", $term_metas );
            //wp_redirect('term.php?taxonomy=joomsport_matchday&tag_ID='.$term_id.'&post_type=joomsport_match');
           // exit();
        }else{
            JoomSportClassMatchday::save($term_id);
        }
        
    }
    public static function matchday_type_columns( $taxonomies ) {
        $new_columns = array(
        'cb' => '<input type="checkbox" />',
        'name' => __('Name'),
        'header_icon' => '',
//      'description' => __('Description'),
        'season_name' => __('Season'),
        'matchday_type' => __('Type'),
        'posts' => __('Posts')
        );

        return $new_columns;    
    }

 
    public static function manage_joomsport_matchday_columns($out, $column_name, $tax_id) {
        //echo $theme_id;
        $metas = get_option("taxonomy_{$tax_id}_metas");

        switch ($column_name) {
            case 'season_name': 

                $out .= get_the_title($metas['season_id']); 
                break;
            case 'matchday_type': 

                $out .= ($metas['matchday_type'] ? __("Knockout", "joomsport-sports-league-results-management") : __("Round Robin", "joomsport-sports-league-results-management")); 
                break;

            default:
                break;
        }
        return $out;    
    }
}