<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
class JoomsportPageSettings{
    public static function action(){
        global $wpdb;
        
        if (isset($_REQUEST['nonce']) && wp_verify_nonce($_REQUEST['nonce'], basename(__FILE__))) {
            //general settings
            $general = $_POST['general'];
            $general = array_map( 'sanitize_text_field', wp_unslash( $_POST['general'] ) );
            if(isset($_POST['mdf']) && count($_POST['mdf'])){
                $mdf = array_map( 'sanitize_text_field', wp_unslash( $_POST['mdf'] ) );
                $general = array_merge($general,$mdf);
            }
            if(isset($_POST['yteams']) && count($_POST['yteams'])){
                $yteams = array();
                $yteams = array_map( 'sanitize_text_field', wp_unslash( $_POST['yteams'] ) );
                $yteams['yteams'] = $yteams;
                $general = array_merge($general,$yteams);
            }
            $mstatuses = array();
            if (isset($_POST['mstatusesId']) && count($_POST['mstatusesId'])) {
                for ($intA = 0; $intA < count($_POST['mstatusesId']); ++$intA) {
                    if ($_POST['mstatusesId'][$intA] == 0 && $_POST['mstatusesName'][$intA] && $_POST['mstatusesShortName'][$intA]) {
                        $wpdb->insert($wpdb->joomsport_match_statuses,array('stName' => addslashes(sanitize_text_field($_POST['mstatusesName'][$intA])),'stShort' => addslashes(sanitize_text_field($_POST['mstatusesShortName'][$intA])),'ordering' => $intA),array('%s','%s','%d'));
                        $id = $wpdb->insert_id;
                    } elseif ($_POST['mstatusesId'][$intA]) {
                        $wpdb->update($wpdb->joomsport_match_statuses,array('stName' => addslashes(sanitize_text_field($_POST['mstatusesName'][$intA])),'stShort' => addslashes(sanitize_text_field($_POST['mstatusesShortName'][$intA])),'ordering' => $intA),array("id" => intval($_POST['mstatusesId'][$intA])),array('%s','%s','%d'),array('%d'));
                        $id = intval($_POST['mstatusesId'][$intA]);
                    }
                    $mstatuses[] = $id;
                }
            }
            if (count($mstatuses)) {
                $wpdb->query('DELETE FROM '.$wpdb->joomsport_match_statuses.' WHERE id NOT IN ('.implode(',', $mstatuses).')');
            }
            
            $options = json_encode($general);
            
            $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'general'), array('%s'), array('%s'));
            /*
            //player registration settings
            $plsettings = $_POST['playerreg'];

            if (isset($_POST['adf_pl']) && count($_POST['adf_pl'])) {
                foreach ($_POST['adf_pl'] as $map) {
                    $wpdb->update($wpdb->joomsport_ef, array('reg_exist' =>((isset($_POST['adfpl_reg_'.$map]) && $_POST['adfpl_reg_'.$map] == 1) ? 1 : 0),'reg_require'=>((isset($_POST['adfpl_rq_'.$map]) && $_POST['adfpl_rq_'.$map] == 1) ? 1 : 0)),array("id"=>$map), array('%s','%s'),array('%d'));
                }
            }
            $options = json_encode($plsettings);
            
            $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'player_reg'), array('%s'), array('%s'));
            
            //team moderator settings
            $teammoder = $_POST['teammoder'];
            if (isset($_POST['adf_tm']) && count($_POST['adf_tm'])) {
                foreach ($_POST['adf_tm'] as $map) {
                    $wpdb->update($wpdb->joomsport_ef, array('reg_exist' =>((isset($_POST['adf_reg_'.$map]) && $_POST['adf_reg_'.$map] == 1) ? 1 : 0),'reg_require'=>((isset($_POST['adf_rq_'.$map]) && $_POST['adf_rq_'.$map] == 1) ? 1 : 0)),array("id"=>$map), array('%s','%s'),array('%d'));
                }
            }
            $options = json_encode($teammoder);
            $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'team_moder'), array('%s'), array('%s'));
            
            //season admin settings
            $seasonadmin = $_POST['seasonadmin'];
            $options = json_encode($seasonadmin);
            $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'season_admin'), array('%s'), array('%s'));
            */
            //layouts settings
            $layouts = $_POST['layouts'];
            $layouts = array_map( 'sanitize_text_field', wp_unslash( $_POST['layouts'] ) );
            $options = json_encode($layouts);
            $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'layouts'), array('%s'), array('%s'));
            
            //other settings
            if(isset($_POST['other_settings']) && count($_POST['other_settings'])){
                $other_settings = $_POST['other_settings'];
                $other_settings = array_map( 'sanitize_text_field', wp_unslash( $_POST['other_settings'] ) );
                $options = json_encode($other_settings);
                $wpdb->update($wpdb->joomsport_config, array('cValue' => $options), array('cName' => 'other'), array('%s'), array('%s'));
            }
            
        }
        
        $lists = array();
        $is_field_yn = array();
        $is_field_yn[] = JoomSportHelperSelectBox::addOption(0, __("No", "joomsport-sports-league-results-management"));
        $is_field_yn[] = JoomSportHelperSelectBox::addOption(1, __("Yes", "joomsport-sports-league-results-management"));
        
        $is_field_tourntype = array();
        $is_field_tourntype[] = JoomSportHelperSelectBox::addOption(0, __("Team", "joomsport-sports-league-results-management"));
        $is_field_tourntype[] = JoomSportHelperSelectBox::addOption(1, __("Single", "joomsport-sports-league-results-management"));
        
        $is_field_date = array();
        $is_field_date[] = JoomSportHelperSelectBox::addOption("d-m-Y H:M", "d-m-Y H:M");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("d.m.Y H:M", "d.m.Y H:M");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("Y.m.d H:M", "Y.m.d H:M");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("m-d-Y I:M p", "m-d-Y I:M p");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("m B, Y H:M", "m B, Y H:M");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("m B, Y I:H p", "m B, Y I:H p");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("d-m-Y", "d-m-Y");
        $is_field_date[] = JoomSportHelperSelectBox::addOption("A d B, Y  H:M","A d B, Y  H:M");
        
        $query = "SELECT ef.*
		            FROM ".$wpdb->joomsport_ef." as ef
		            
		            WHERE ef.published=1 AND ef.type='2'
		            ORDER BY ef.ordering";

        $lists['mday_extra'] = $wpdb->get_results($query);
        
        
        $args = array(
                'offset'           => 0,
                'orderby'          => 'title',
                'order'            => 'DESC',
                'post_type'        => 'joomsport_team',
                'post_status'      => 'publish'
        );
        $teamlist = get_posts( $args );
        
        $query = "SELECT * FROM ".$wpdb->joomsport_ef.""
                . " WHERE type='0' AND season_related='0' AND published='1'"
                . " ORDER BY ordering";
        $lists['adf_player'] = $wpdb->get_results($query);
        $query = "SELECT * FROM ".$wpdb->joomsport_ef.""
                . " WHERE type='1' AND season_related='0' "
                . " ORDER BY ordering";
        $lists['adf_team'] = $wpdb->get_results($query);
        
        $is_field_inv = array();
        $is_field_inv[] = JoomSportHelperSelectBox::addOption(0, __("Moderator adds player to team", "joomsport-sports-league-results-management"));
        $is_field_inv[] = JoomSportHelperSelectBox::addOption(1, __("Moderator invites player to team", "joomsport-sports-league-results-management"));
        
        $query = "SELECT name, CONCAT(id,'_1') as id"
                . " FROM ".$wpdb->joomsport_ef.""
                . " WHERE type='0' AND (field_type = 0 OR field_type = 3)"
                . " ORDER BY name";
        $adf = $wpdb->get_results($query);
        $alltmp['op'] = JoomSportHelperSelectBox::addOption(0, __('Name','joomsport-sports-league-results-management'));

        if(count($adf)){
            $alltmp[__('Additional fields','joomsport-sports-league-results-management')] = $adf;
        }
        
        $query = "SELECT CONCAT(ev.id,'_2') as id,ev.e_name as name
		            FROM ".$wpdb->joomsport_events." as ev
                            WHERE ev.player_event IN (1, 2)
		            ORDER BY ev.e_name";

        $events_cd = $wpdb->get_results($query);
        if(count($events_cd)){
            $alltmp[__('Events','joomsport-sports-league-results-management')] = $events_cd;
        }
        
        $is_field_pltab = array();
        $is_field_pltab[] = JoomSportHelperSelectBox::addOption(0, __("Player statistics list", "joomsport-sports-league-results-management"));
        $is_field_pltab[] = JoomSportHelperSelectBox::addOption(1, __("Player photos", "joomsport-sports-league-results-management"));
        
        $query = "SELECT name, CONCAT(id,'_1') as id"
                . " FROM ".$wpdb->joomsport_ef."
		            WHERE type='0' AND field_type = 3
		            ORDER BY ordering";
        $adf_se = $wpdb->get_results($query);

        $alltmp_se['op'] = JoomSportHelperSelectBox::addOption(0, __('Name','joomsport-sports-league-results-management'));

        if(count($adf_se)){
            $alltmp_se[__('Additional fields','joomsport-sports-league-results-management')] = $adf_se;
        }
        
        $lists['mstatuses'] = $wpdb->get_results('SELECT * FROM '.$wpdb->joomsport_match_statuses.' ORDER BY ordering');
        
        $jsconfig =  new JoomsportSettings();
        
        
        wp_enqueue_script( 'joomsport-colorgrid-js', plugins_url('../../includes/3d/color_piker/201a.js', __FILE__) );
        require_once JOOMSPORT_PATH_HELPERS . 'tabs.php';
        $etabs = new esTabs();
        ?>
        <script type="text/javascript">
		
                
            function addMatchStatus(){
                if(jQuery("#custstat_name").val() && jQuery("#custstat_shortname").val()){
                    var tr = jQuery("<tr>");
                    tr.append('<td><input type="hidden" name="mstatusesId[]" value="0" /><a href="javascript: void(0);" onClick="javascript:Delete_tbl_row(this); return false;" title="<?php echo __('Delete', 'joomsport-sports-league-results-management');?>"><i class="fa fa-trash" aria-hidden="true"></i></a></td>');
                    tr.append('<td><input type="text" name="mstatusesName[]" value="'+jQuery("#custstat_name").val()+'" /></td>');
                    tr.append('<td><input type="text" name="mstatusesShortName[]" value="'+jQuery("#custstat_shortname").val()+'" /></td>');
                    jQuery('#matchStatusesTable').append(tr);
                    jQuery("#custstat_name").val("");
                    jQuery("#custstat_shortname").val("");
                }
            }
            function Delete_tbl_row(element) {
                    var del_index = element.parentNode.parentNode.sectionRowIndex;
                    var tbl_id = element.parentNode.parentNode.parentNode.parentNode.id;
                    element.parentNode.parentNode.parentNode.deleteRow(del_index);
            }

        </script>
        <div class="jsSettingsPage">
            <div class="jsBEsettings" style="padding:0px;">
                <!-- <tab box> -->
                <ul class="tab-box">
                    <?php
                    echo $etabs->newTab(__('General','joomsport-sports-league-results-management'), 'main_conf', '', 'vis');
                    //echo $etabs->newTab("Player registration", 'player_conf', '');
                    //echo $etabs->newTab("Team moderation", 'team_conf', '');
                    //echo $etabs->newTab("Season administration", 'season_conf', '');
                    echo $etabs->newTab(__('Layouts','joomsport-sports-league-results-management'), 'layout_conf', '');
                    ?>
                </ul>	
                <div style="clear:both"></div>
            </div>
            
        <div class="mgl-panel-wrap">
            <form method="post">
            <div  id="main_conf_div" class="tabdiv">
                <div class="jsrespdiv6">
                <div class="jsBepanel">
                    <div class="jsBEheader">
                        <?php echo __('General', 'joomsport-sports-league-results-management');?>
                    </div>
                    <div class="jsBEsettings">
                        <table class="adminlistsNoBorder">
                            
                            <tr>
                                        <td>
                                            <?php echo __('Tournament type', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('general[tournament_type]', $is_field_tourntype,$jsconfig->get('tournament_type',0),'',array('lclasses'=>array(1,1)));
                                            ?>

                                        </td>
                                </tr>
                                <tr>
                                        <td width="270">
                                            <?php echo __('Date format', 'joomsport-sports-league-results-management');?>

                                        </td>
                                        <td>
                                            <?php 
                                            
                                            echo JoomSportHelperSelectBox::Simple('general[dateFormat]', $is_field_date,$jsconfig->get('dateFormat','d-m-Y H:M'),'',false);
        
                                            ?>


                                        </td>

                                </tr>

                                <tr>
                                        <td>
                                            <?php echo __('Enable match comments', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('general[comments]', $is_field_yn,$jsconfig->get('comments'),'');
                                            ?>

                                        </td>
                                </tr>
                                <?php
                                $stdoptions = '';
                                 $stdoptions = "std"; 
                                ?>

                                <tr>
                                        <td>
                                            <?php echo __('Enable Club', 'joomsport-sports-league-results-management');?>

                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>
                                </tr>



                                <tr>
                                        <td>
                                            <?php echo __('Enable Venue', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>

                                </tr>



                                <tr>
                                        <td>
                                            <?php echo __('Enable JoomSport branding', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('general[jsbrand_on]', $is_field_yn,$jsconfig->get('jsbrand_on'),'');
                                            ?>


                                        </td>
                                </tr>
                                
                        </table>
                    </div>
                </div>
                <div class="jsBepanel">
                        <div class="jsBEheader">
                            <?php echo __('Quick matchday creation', 'joomsport-sports-league-results-management');?>
                        </div>
                        <div class="jsBEsettings">
                            <table class="">
                                <tr>
                                    <th align="left">
                                        <?php echo __('Field', 'joomsport-sports-league-results-management');?>
                                    </th>
                                    <th>
                                        <?php echo __('Show on page', 'joomsport-sports-league-results-management');?>
                                    </th>
                                </tr>
                                <tr>
                                    <td width="280">
                                        <?php echo __('Extra Time', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('mdf[mdf_et]', $is_field_yn,$jsconfig->get('mdf_et'),'');
                                        ?>

                                    </td>

                                </tr>
                                <tr>
                                        <td width="200">
                                            <?php echo __('Status', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('mdf[mdf_played]', $is_field_yn,$jsconfig->get('mdf_played'),'');
                                            ?>
                                        </td>

                                </tr>
                                <tr>
                                        <td width="200">
                                            <?php echo __('Date', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('mdf[mdf_date]', $is_field_yn,$jsconfig->get('mdf_date'),'');
                                            ?>
                                        </td>

                                </tr>
                                <tr>
                                        <td width="200">
                                            <?php echo __('Time', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('mdf[mdf_time]', $is_field_yn,$jsconfig->get('mdf_time'),'');
                                            ?>
                                        </td>

                                </tr>
                                <?php
                                
                                ?>
                                <?php
                                if(isset($lists['mday_extra']) && count($lists['mday_extra'])){
                                    foreach ($lists['mday_extra'] as $extra) {
                                        $extraname = 'extra_'.$extra->id;
                                        ?>
                                        <tr>
                                            <td width="200">
                                                    <?php echo $extra->name; ?>
                                            </td>
                                            <td>
                                                <?php
                                                echo JoomSportHelperSelectBox::Radio('mdf[extra_'.$extra->id.']', $is_field_yn,$jsconfig->get('extra_'.$extra->id),'');
                                                ?>
                                                
                                            </td>

                                        </tr>
                                        <?php
                                    }
                                }
                                ?>
                            </table>    
                        </div>    
                    </div>
            </div>
            <div class="jsrespdiv6 jsrespmarginleft2">
                <div class="jsBepanel">
                    <div class="jsBEheader">
                        <?php echo __('Team highlighting', 'joomsport-sports-league-results-management');?>
                    </div>
                    <div class="jsBEsettings">
                        <table class="adminlistsNoBorder">
                            <tr>
                                <td width="30%">
                                    <?php echo __('Highlight selected teams in season standings', 'joomsport-sports-league-results-management');?>
                                </td>
                                <td>
                                    <div class="controls">
                                        <fieldset class="radio btn-group">
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('general[highlight_team]', $is_field_yn,$jsconfig->get('highlight_team'),'');
                                            ?>
                                        </fieldset>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="jsEnblHGL">
                                    <?php echo __('Highlight color', 'joomsport-sports-league-results-management');?>
                                </td>
                                <td class="jsEnblHGL">
                                        <div id="colorpicker201" class="colorpicker201"></div>
                                        <input class="button" type="button" style="cursor:pointer;" onclick="showColorGrid2('yteam_color','sample_1');" value="...">&nbsp;<input type="text" name="general[yteam_color]" id="yteam_color" size="5" style="width:70px;margin-bottom: 0px;" maxlength="30" value="<?php echo $jsconfig->get('yteam_color','');?>" /><input type="text" id="sample_1" size="1" value="" style="margin-bottom: 0px;background-color:<?php echo $jsconfig->get('yteam_color','');?>" class="color-kind" />
                                </td>

                            </tr>
                            <tr>
                                <td class="jsEnblHGL">
                                    <?php echo __('Select teams', 'joomsport-sports-league-results-management');?>
                                </td>
                            
                            
                                <td class="jsEnblHGL">

                                    <?php
                                    if(count($teamlist)){
                                        echo '<select name="yteams[]" class="jswf-chosen-select" data-placeholder="'.__('Add item','joomsport-sports-league-results-management').'" multiple>';
                                        foreach ($teamlist as $tm) {
                                            $selected = '';
                                            if(in_array($tm->ID, $jsconfig->get('yteams',array()))){
                                                $selected = ' selected';
                                            }
                                            echo '<option value="'.$tm->ID.'" '.$selected.'>'.$tm->post_title.'</option>';
                                        }
                                        echo '</select>';
                                    }
                                    ?>

                                </td>
                                            
                            </tr>
                        </table>
                        <script>
                            if('<?php echo isset($lists['highlight_team'])?$lists['highlight_team']:"";?>' != '1'){
                                //jQuery(".jsEnblHGL").hide();
                            }
                        </script>    
                    </div>
                </div>
                <?php //?>
            </div>
            <div style="clear:both;" ></div>
        </div>
        <div  id="player_conf_div" class="tabdiv visuallyhidden">
            <div class="jsrespdiv12">
                <div class="jsBepanel">
                    <div class="jsBEheader">
                        <?php echo __('General', 'joomsport-sports-league-results-management');?>
                    </div>
                    <div class="jsBEsettings">
                        <table style="width:auto;" class="adminlistsNoBorder">


                            <tr>
                                    <td width="250">
                                        <?php echo __('Enable player registration', 'joomsport-sports-league-results-management');?>
                                    </td>

                                    <td colspan='2' width="200">
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[player_reg]', $is_field_yn,$jsconfig->get('player_reg'),'');
                                        ?>
                                    </td>
                            </tr>
                            <tr>
                                    <td>
                                        <?php echo __('Player can join any team', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td colspan='2'>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[esport_join_team]', $is_field_yn,$jsconfig->get('esport_join_team'),'');
                                        ?>

                                    </td>

                            </tr>
                            <tr>
                                    <th>
                                        <?php echo __('Registration fields', 'joomsport-sports-league-results-management');?>
                                    </th>
                                    <th width="100">
                                        <?php echo __('Enable', 'joomsport-sports-league-results-management');?>
                                    </th>
                                    <th>
                                        <?php echo __('Required', 'joomsport-sports-league-results-management');?>
                                    </th>
                            </tr>
                            <tr>
                                    <td>
                                        <?php echo __('Last name', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[reg_lastname]', $is_field_yn,$jsconfig->get('reg_lastname'),'');
                                        ?>

                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[reg_lastname_rq]', $is_field_yn,$jsconfig->get('reg_lastname_rq'),'');
                                        ?>
                                    </td>
                            </tr>
                            
                            <tr>
                                    <td>
                                        <?php echo __('Country', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[country_reg]', $is_field_yn,$jsconfig->get('country_reg'),'');
                                        ?>

                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('playerreg[country_reg_rq]', $is_field_yn,$jsconfig->get('country_reg_rq'),'');
                                        ?>
                                    </td>
                            </tr>


                        </table>
                    </div>    
                </div>

                <div class="jsBepanel">
                    <div class="jsBEheader">
                        <?php echo __('Player extra fields', 'joomsport-sports-league-results-management');?>
                    </div>
                    <div class="jsBEsettings">
                        <table  style="width:auto;" class="adminlistsNoBorder">
                            <?php
                            if(isset($lists['adf_player']) && count($lists['adf_player'])){
                            ?>
                            <tr>
                                    <th>
                                        <?php echo __('Registration fields', 'joomsport-sports-league-results-management');?>
                                    </th>
                                    <th>
                                        <?php echo __('Enable', 'joomsport-sports-league-results-management');?>
                                    </th>
                                    <th>
                                        <?php echo __('Required', 'joomsport-sports-league-results-management');?>
                                    </th>
                            </tr>
                            <?php
                            }
                            ?>
                            <?php
                                for($i=0;$i<count($lists['adf_player']);$i++){
                                        $regpl = $lists['adf_player'][$i];

                                        echo '<tr><td  width="250"><input type="hidden" name="adf_pl[]" value="'.$regpl->id.'" />'.$regpl->name.'</td>';
                                        echo '<td  width="100">';
                                        echo JoomSportHelperSelectBox::Radio('adfpl_reg_'.$regpl->id, $is_field_yn,$regpl->reg_exist,'');
  
                                        echo '</td>';
                                        echo '<td>';
                                        echo JoomSportHelperSelectBox::Radio('adfpl_rq_'.$regpl->id, $is_field_yn,$regpl->reg_require,'');
                                           
                                        echo '</td>';

                                    if($regpl->published == 0){
                                        echo '<td>'.__('Attention! This Extra Field is not published and it will not display on Front End','joomsport-sports-league-results-management').'</td>';
                                    }
                                    echo '</tr>';
                                }
                                ?>
                            <?php
                            if(!count($lists['adf_player'])){

                                echo __("There are no extra fields assigned to this section. Create new one on <a href='index.php?option=com_joomsport&task=fields_list'>Extra fields list</a>", 'joomsport-sports-league-results-management');
                            }
                            ?>
                        </table>
                    </div>
                </div>    

            </div>

        </div>
            <div  id="team_conf_div" class="tabdiv visuallyhidden">
                <div class="jsrespdiv6">
                <div class="jsBepanel">
                    <div class="jsBEheader">
                        <?php echo __('Moderator permissions', 'joomsport-sports-league-results-management');?>
                    </div>
                    <div class="jsBEsettings">

                                        <table class="adminlistsNoBorder">

                                                <tr>
                                                        <td><?php echo __('Moderator can edit players?', 'joomsport-sports-league-results-management');?></td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[moder_addplayer]', $is_field_yn,$jsconfig->get('moder_addplayer'),'');
                                                            
                                                            ?>


                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td><?php echo __('Teams per accaunt', 'joomsport-sports-league-results-management');?></td>
                                                        <td colspan="2"><input type="text" name="teammoder[teams_per_account]" value="<?php echo $jsconfig->get('teams_per_account');?>" /></td>
                                                </tr>
                                                <tr>
                                                        <td><?php echo __('Players per account', 'joomsport-sports-league-results-management');?></td>
                                                        <td colspan="2"><input type="text" name="teammoder[players_per_account]" value="<?php echo $jsconfig->get('players_per_account')?>" /></td>
                                                </tr>


                                                <!--UPDATE-->
                                                <tr>
                                                        <td><?php echo __('Required to be JoomSport player to create team', 'joomsport-sports-league-results-management');?></td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[player_team_reg]', $is_field_yn,$jsconfig->get('player_team_reg'),'');
                                                            
                                                            ?>


                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Invite option', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td colspan="2">
                                                            <?php
                                                            echo JoomSportHelperSelectBox::Simple('teammoder[esport_invite_player]', $is_field_inv,$jsconfig->get('esport_invite_player'),'',false);
        
                                                            ?>

                                                        </td>

                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Can invite unregistered players', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[esport_invite_unregister]', $is_field_yn,$jsconfig->get('esport_invite_unregister'),'');
                                                            ?>

                                                        </td>

                                                </tr>

                                                <tr>
                                                        <td>
                                                            <?php echo __('Can invite players to match', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[esport_invite_match]', $is_field_yn,$jsconfig->get('esport_invite_match'),'');
                                                            ?>

                                                        </td>

                                                </tr>

                                                <tr>
                                                        <td>
                                                            <?php echo __('Can create matches via Front End', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[moder_create_match]', $is_field_yn,$jsconfig->get('moder_create_match'),'');
                                                            
                                                            ?>

                                                        </td>

                                                </tr>


                                                <tr>
                                                        <td>
                                                            <?php echo __('Can mark match as played', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td colspan="2">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_mark_played]', $is_field_yn,$jsconfig->get('jsmr_mark_played'),'');
                                                            
                                                            ?>

                                                        </td>

                                                </tr>
                                                <tr>
                                                        <td>
                                                                &nbsp;
                                                        </td>
                                                        <th>
                                                            <?php echo __('Own team', 'joomsport-sports-league-results-management');?>
                                                        </th>
                                                        <th align="center">
                                                            <?php echo __('Opposite team', 'joomsport-sports-league-results-management');?>
                                                        </th>
                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Can edit match score', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td align="">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_editresult_yours]', $is_field_yn,$jsconfig->get('jsmr_editresult_yours'),'');
                                                            
                                                            ?>

                                                        </td>
                                                        <td align="center">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_editresult_opposite]', $is_field_yn,$jsconfig->get('jsmr_editresult_opposite'),'');
                                                            ?>

                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Can edit player events', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td align="">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_playerevent_yours]', $is_field_yn,$jsconfig->get('jsmr_edit_playerevent_yours'),'');
                                                            ?>


                                                        </td>
                                                        <td align="center">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_playerevent_opposite]', $is_field_yn,$jsconfig->get('jsmr_edit_playerevent_opposite'),'');
                                                            ?>

                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Can edit match events', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td align="">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_matchevent_yours]', $is_field_yn,$jsconfig->get('jsmr_edit_matchevent_yours'),'');
                                                            ?>

                                                        </td>
                                                        <td align="center">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_matchevent_opposite]', $is_field_yn,$jsconfig->get('jsmr_edit_matchevent_opposite'),'');
                                                            ?>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>
                                                            <?php echo __('Can edit squad', 'joomsport-sports-league-results-management');?>
                                                        </td>
                                                        <td align="">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_squad_yours]', $is_field_yn,$jsconfig->get('jsmr_edit_squad_yours'),'');
                                                            ?>

                                                        </td>
                                                        <td align="center">
                                                            <?php 
                                                            echo JoomSportHelperSelectBox::Radio('teammoder[jsmr_edit_squad_opposite]', $is_field_yn,$jsconfig->get('jsmr_edit_squad_opposite'),'');
                                                            ?>

                                                        </td>
                                                </tr>

                                        </table>
                                </div>
                        </div>
                    </div>
                    <div class="jsrespdiv6 jsrespmarginleft2">
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Team registration', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">
                                <table style="width:auto;" class="adminlistsNoBorder">
                                    <tr>
                                            <td width="200">
                                                <?php echo __('Enable team registration', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>
                                                <?php 
                                                echo JoomSportHelperSelectBox::Radio('teammoder[team_reg]', $is_field_yn,$jsconfig->get('team_reg'),'');
                                                ?>

                                            </td>
                                    </tr>
                                </table>
                                <br />
                                <table style="width:auto;" class="adminlistsNoBorder">
                                    <tr>
                                            <th>
                                                <?php echo __('Registration fields', 'joomsport-sports-league-results-management');?>
                                            </th>
                                            <th>
                                                <?php echo __('Enable', 'joomsport-sports-league-results-management');?>
                                            </th>
                                            <th>
                                                <?php echo __('Required', 'joomsport-sports-league-results-management');?>
                                            </th>
                                    </tr>
                                    

                                </table>
                            </div>
                        </div>
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Team extra fields', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">
                                <table style="width:auto;" class="adminlistsNoBorder">
                                    <?php
                                    if(count($lists['adf_team'])){
                                    ?>
                                    <tr>
                                        <th>
                                            <?php echo __('Registration fields', 'joomsport-sports-league-results-management');?>
                                        </th>
                                        <th>
                                            <?php echo __('Enable', 'joomsport-sports-league-results-management');?>
                                        </th>
                                        <th>
                                            <?php echo __('Required', 'joomsport-sports-league-results-management');?>
                                        </th>
                                    </tr>
                                    <?php
                                    }
                                    ?>
                                    <?php
                                    for($i=0;$i<count($lists['adf_team']);$i++){
                                            $regpl = $lists['adf_team'][$i];

                                            echo '<tr><td width="200"><input type="hidden" name="adf_tm[]" value="'.$regpl->id.'" />'.$regpl->name.'</td>';
                                            echo '<td width="100">';
                                            echo JoomSportHelperSelectBox::Radio('adf_reg_'.$regpl->id, $is_field_yn,$regpl->reg_exist,'');
                                            
                                            echo '</td>';
                                            echo '<td>';
                                            echo JoomSportHelperSelectBox::Radio('adf_rq_'.$regpl->id, $is_field_yn,$regpl->reg_require,'');
                                            
                                            echo '</td>';
                                            if($regpl->published == 0){
                                                 echo '<td>'.__('Attention! This Extra Field is not published and it will not display on Front End','joomsport-sports-league-results-management').'</td>';

                                            }
                                            echo '</tr>';
                                    }
                                    if(!count($lists['adf_team'])){

                                            echo '<tr><td colspan="3">'.__("There are no extra fields assigned to this section. Create new one on <a href='index.php?option=com_joomsport&task=fields_list'>Extra fields list</a>", 'joomsport-sports-league-results-management').'</td></tr>';
                                    }
                                    ?>
                                </table>
                            </div>
                        </div>    
                    </div>
                <div style="clear:both;" ></div>

            </div>
            <div id="season_conf_div" class="tabdiv visuallyhidden">
                <div class="jsrespdiv6">
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Team tournament', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">

                                <table class="adminlistsNoBorder">

                                        <tr>
                                                <td><?php echo __('Can edit players', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php 
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_editplayer]', $is_field_yn,$jsconfig->get('jssa_editplayer'),'');
                                                ?>

                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can edit teams', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php 
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[cf_team_cjssa_editteamity_required]', $is_field_yn,$jsconfig->get('cf_team_cjssa_editteamity_required'),'');
                                                    ?>


                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can remove player from season', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php 
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_deleteplayers]', $is_field_yn,$jsconfig->get('jssa_deleteplayers'),'');
                                                    ?>
                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can remove teams from season', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_delteam]', $is_field_yn,$jsconfig->get('jssa_delteam'),'');
                                                    ?>

                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can add existing team to season', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php 
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_addexteam]', $is_field_yn,$jsconfig->get('jssa_addexteam'),'');
                                                    ?>
                                                </td>
                                        </tr>
                                </table>

                            </div>    
                        </div>
                    </div>
                    <div class="jsrespdiv6 jsrespmarginleft2">
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Single tournament', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">

                                <table class="adminlistsNoBorder">

                                        <tr>
                                                <td><?php echo __('Can add existing participant to season', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php 
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_addexteam_single]', $is_field_yn,$jsconfig->get('jssa_addexteam_single'),'');
                                                    ?>

                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can edit participant', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_editplayer_single]', $is_field_yn,$jsconfig->get('jssa_editplayer_single'),'');
                                                    ?>

                                                </td>
                                        </tr>
                                        <tr>
                                                <td><?php echo __('Can remove participant from season', 'joomsport-sports-league-results-management');?></td>
                                                <td>
                                                    <?php
                                                    echo JoomSportHelperSelectBox::Radio('seasonadmin[jssa_deleteplayers_single]', $is_field_yn,$jsconfig->get('jssa_deleteplayers_single'),'');
                                                    ?>
                                                </td>
                                        </tr>
                                </table>

                            </div>
                        </div>
                    </div>
                <div style="clear:both;" ></div>
            </div>
                <div  id="layout_conf_div" class="tabdiv visuallyhidden" >
                <div class="jsrespdiv6">
                    <div class="jsBepanel">
                        <div class="jsBEheader">
                            <?php echo __('Team page', 'joomsport-sports-league-results-management');?>
                        </div>
                        <div class="jsBEsettings">
                            <h4>
                                <?php echo __('Overview tab settings', 'joomsport-sports-league-results-management');?>
                            </h4>
                            <?php
                            $stdoptions = '';
                             $stdoptions = "std"; 
                            ?>
                            <table class="adminlistsNoBorder">

                                <tr>
                                        <td width="250">
                                            <?php echo __('Display standings position', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>

                                </tr>
                                <tr>
                                        <td>
                                            <?php echo __('Display team form block', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>

                                </tr>
                                <tr>
                                        <td width="200">
                                            <?php echo __('Display match results block', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>

                                </tr>
                                <tr>
                                        <td width="200">
                                            <?php echo __('Display next matches block', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>

                                </tr>
                            </table>
                            <h4>
                                <?php echo __('Players tab settings', 'joomsport-sports-league-results-management');?>
                            </h4>
                            <table class="adminlistsNoBorder">
                                <tr>
                                    <td width="250">
                                        <?php echo __('Show empty players tab', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('layouts[show_playertab]', $is_field_yn,$jsconfig->get('show_playertab'),'');
                                        ?>

                                    </td>

                                </tr>
                                <tr>
                                        <td><?php echo __('Order players by (including player extra fields, player events)', 'joomsport-sports-league-results-management');?></td>
                                        <td>
                                            <?php echo JoomSportHelperSelectBox::Optgroup('layouts[pllist_order]', $alltmp,$jsconfig->get('pllist_order'));?>
                                            
                                        </td>
                                </tr>
                                <tr>
                                    <td width="250">
                                        <?php echo __('Show in player tab', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php
                                        echo JoomSportHelperSelectBox::Simple('layouts[set_teampgplayertab]', $is_field_pltab,$jsconfig->get('set_teampgplayertab'),'',false);
                                        ?>
                                        
                                    </td>

                                </tr>

                            </table>

                        </div>    
                    </div>
                    <div class="jsBepanel">
                        <div class="jsBEheader">
                            <?php echo __('Calendar page', 'joomsport-sports-league-results-management');?>
                        </div>
                        <div class="jsBEsettings">
                            <table class="adminlistsNoBorder">

                                <tr>
                                        <td width="250">
                                            <?php echo __('Display venue', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            
                                             echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                            ?>

                                        </td>
                                </tr>
                                <tr>
                                    <td>
                                        <?php echo __('Enable player list button', 'joomsport-sports-league-results-management');?>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('layouts[enbl_linktoplayerlistcal]', $is_field_yn,$jsconfig->get('enbl_linktoplayerlistcal'),'');
                                        ?>


                                    </td>
                                </tr>
                                <?php
                                $stdoptions = '';
                                 $stdoptions = "std"; 
                                ?>
                                <tr>
                                    <td>
                                        <?php echo __('Enable matches search', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        
                                         echo '<div class="jslinktopro">Available in <a href="http://joomsport.com/web-shop/joomsport-for-wordpress.html">pro version</a> only</div>'; 
                                        ?>


                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <?php echo __('Matchday name on calendar', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('layouts[enbl_mdnameoncalendar]', $is_field_yn,$jsconfig->get('enbl_mdnameoncalendar'),'');
                                        ?>


                                    </td>
                                </tr>


                            </table>
                        </div>
                    </div>
                    <div class="jsBepanel">
                        <div class="jsBEheader">
                            <?php echo __('Season standings page', 'joomsport-sports-league-results-management');?>
                        </div>
                        <div class="jsBEsettings">
                            <table class="adminlistsNoBorder">
                                <tr>
                                    <td width="250">
                                        <?php echo __('Enable player list button', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php
                                        echo JoomSportHelperSelectBox::Radio('layouts[enbl_linktoplayerlist]', $is_field_yn,$jsconfig->get('enbl_linktoplayerlist'),'');
                                        ?>


                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="jsBepanel">
                        <div class="jsBEheader">
                            <?php echo __('Match page', 'joomsport-sports-league-results-management');?>
                        </div>
                        <div class="jsBEsettings">
                            <table class="adminlistsNoBorder">
                                <tr>
                                    <td width="250">
                                        <?php echo __('Player extra field (select box type) for ordering in squad tab', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php echo JoomSportHelperSelectBox::Optgroup('layouts[pllist_order_se]', $alltmp_se,$jsconfig->get('pllist_order_se'));?>
                                        
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <?php echo __('Reverse Home/Away', 'joomsport-sports-league-results-management');?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo JoomSportHelperSelectBox::Radio('layouts[partdisplay_awayfirst]', $is_field_yn,$jsconfig->get('partdisplay_awayfirst'),'');
                                        ?>


                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>

                    </div>
                    <div class="jsrespdiv6 jsrespmarginleft2">
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Image settings', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">
                                <table class="adminlistsNoBorder">
                                    <tr>
                                            <td width="250">
                                                <?php echo __('Logo height for all lists', 'joomsport-sports-league-results-management');?>
                                            <td>

                                                <input type="text" maxlength="5" name="layouts[teamlogo_height]" style="width:50px;" value="<?php echo $jsconfig->get('teamlogo_height',40);?>" onblur="extractNumber(this,0,false);" onkeyup="extractNumber(this,0,false);" onkeypress="return blockNonNumbers(this, event, false, false);" />
                                            </td>
                                    </tr>
                                    <tr>
                                            <td>
                                                <?php echo __('Participant logo height for match page', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>

                                                <input type="text" maxlength="5" name="layouts[set_emblemhgonmatch]" style="width:50px;" value="<?php echo $jsconfig->get('set_emblemhgonmatch',60);?>" onblur="extractNumber(this,0,false);" onkeyup="extractNumber(this,0,false);" onkeypress="return blockNonNumbers(this, event, false, false);" />
                                            </td>
                                    </tr>
                                    <tr>
                                            <td>
                                                <?php echo __('Default photo width', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>

                                                <input type="text" maxlength="5" name="layouts[set_defimgwidth]" style="width:50px;" value="<?php echo $jsconfig->get('set_defimgwidth',200);?>" onblur="extractNumber(this,0,false);" onkeyup="extractNumber(this,0,false);" onkeypress="return blockNonNumbers(this, event, false, false);" />
                                            </td>
                                    </tr>
                                </table>   
                            </div>
                        </div>
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Players settings', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">
                                <table class="adminlistsNoBorder">
                                    <tr>
                                            <td width="250">
                                                <?php echo __('Enable links for player logos', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>
                                                <?php 
                                                echo JoomSportHelperSelectBox::Radio('layouts[enbl_playerlogolinks]', $is_field_yn,$jsconfig->get('enbl_playerlogolinks'),'');
                                                ?>

                                            </td>
                                    </tr>
                                    <tr>
                                            <td width="250">
                                                <?php echo __('Enable links for player names', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>
                                                <?php 
                                                echo JoomSportHelperSelectBox::Radio('layouts[enbl_playerlinks]', $is_field_yn,$jsconfig->get('enbl_playerlinks'),'');
                                                ?>

                                            </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <?php echo __('Show played matches statistic', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td>
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('layouts[played_matches]', $is_field_yn,$jsconfig->get('played_matches'),'');
                                            ?>

                                        </td>
                                    </tr>

                                </table>
                            </div>
                        </div> 
                        <div class="jsBepanel">
                            <div class="jsBEheader">
                                <?php echo __('Team settings', 'joomsport-sports-league-results-management');?>
                            </div>
                            <div class="jsBEsettings">
                                <table class="adminlistsNoBorder">
                                    <tr>
                                            <td width="250">
                                                <?php echo __('Enable links for team logos', 'joomsport-sports-league-results-management');?>
                                            </td>
                                            <td>
                                                <?php 
                                                echo JoomSportHelperSelectBox::Radio('layouts[enbl_teamlogolinks]', $is_field_yn,$jsconfig->get('enbl_teamlogolinks'),'');
                                                ?>

                                            </td>
                                    </tr>
                                    <tr>
                                            <td width="250">
                                                <?php echo __('Enable links for team names', 'joomsport-sports-league-results-management');?>
                                            </td>    
                                            <td>
                                                <?php 
                                                echo JoomSportHelperSelectBox::Radio('layouts[enbl_teamlinks]', $is_field_yn,$jsconfig->get('enbl_teamlinks'),'');
                                                ?>

                                            </td>
                                    </tr>
                                    <tr>
                                        <td width="250" class="hdn_div_enblink">
                                            <?php echo __('Enable links for highlighted team only', 'joomsport-sports-league-results-management');?>
                                        </td>
                                        <td class="hdn_div_enblink">
                                            <?php 
                                            echo JoomSportHelperSelectBox::Radio('layouts[enbl_teamhgllinks]', $is_field_yn,$jsconfig->get('enbl_teamhgllinks'),'');
                                            ?>

                                        </td>
                                    </tr>


                                </table>
                            </div>
                        </div> 
                        
                </div>
                <div style="clear:both;"></div>
            </div>  

            <div>
                <input type="hidden" name="nonce" value="<?php echo wp_create_nonce(basename(__FILE__))?>"/>
                <input name="save" class="button-primary" type="submit" value="<?php echo __("Save changes",'joomsport-sports-league-results-management');?>">
            </div>
            </form>
        </div>
        </div>    
        <?php
    }
}