<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
require_once JOOMSPORT_PATH_OBJECTS.'class-jsport-season.php';
require_once JOOMSPORT_PATH_MODELS.'model-jsport-season.php';
class modelJsportMatch
{
    public $match_id = null;
    public $lists = null;
    public $row = null;
    public $season = null;

    public function __construct($match_id)
    {
        $this->match_id = $match_id;

        if (!$this->match_id) {
            die('ERROR! Match ID not DEFINED');
        }
        $this->loadObject();
    }
    private function loadObject()
    {
        global $jsDatabase;
        $this->row = get_post($this->match_id);
    }
    public function getSeasonID()
    {
        global $jsDatabase;

        $season_id = JoomSportHelperObjects::getMatchSeason($this->match_id);

        return $season_id;
    }

    public function loadLists()
    {
        $this->lists['ef'] = classJsportExtrafields::getExtraFieldList($this->match_id, '2', 0);
        $this->getPhotos();
        $this->getPlayerEvents();
        $this->getTeamEvents();
        $this->getLineUps();
        $this->getMaps();
    }

    public function getPhotos()
    {
        $photos = get_post_meta($this->match_id,'vdw_gallery_id',true);

        $this->lists['photos'] = array();
        if ($photos && count($photos)) {
            foreach ($photos as $photo) {
                $image = get_post($photo);
                
                if (is_file($image->guid)) {
                    $this->lists['photos'][] = $image->guid;
                }
            }
        }
        
    }

    public function getPlayerEvents()
    {
        global $jsDatabase;
        $season_id = $this->getSeasonID();
        if($season_id){
            $home_team = get_post_meta( $this->match_id, '_joomsport_home_team', true );
            $away_team = get_post_meta( $this->match_id, '_joomsport_away_team', true );
            $sObj = new modelJsportSeason($season_id);
            $single = $sObj->getSingle();

            $query = 'SELECT me.*,ev.*'
                            .' FROM '.DB_TBL_MATCH_EVENTS.' as me,'
                            .' '.DB_TBL_EVENTS.' as ev'

                            ." WHERE ev.player_event = '1' AND me.e_id = ev.id"
                            .' AND me.match_id = '.$this->match_id.' AND '.($single ? 'me.player_id='.intval($home_team) : 'me.t_id='.intval($home_team))
                            .' ORDER BY CAST(me.minutes AS UNSIGNED),me.eordering';

            $this->lists['m_events_home'] = $jsDatabase->select($query);

            $query = 'SELECT me.*,ev.*'
                            .' FROM '.DB_TBL_MATCH_EVENTS.' as me,'
                            .' '.DB_TBL_EVENTS.' as ev'

                            ." WHERE ev.player_event = '1' AND me.e_id = ev.id"
                            .' AND me.match_id = '.$this->match_id.' AND '.($single ? 'me.player_id='.intval($away_team) : 'me.t_id='.intval($away_team))
                            .' ORDER BY CAST(me.minutes AS UNSIGNED),me.eordering';

            $this->lists['m_events_away'] = $jsDatabase->select($query);
        }
    }
    public function getTeamEvents()
    {
        global $jsDatabase;
        $season_id = $this->getSeasonID();
        if($season_id){
            $sObj = new modelJsportSeason($season_id);
            $single = $sObj->getSingle();

            $this->lists['team_events'] = get_post_meta($this->match_id,'_joomsport_matchevents',true);
        }

    }
    public function getLineUps()
    {
        global $jsDatabase;
        $home_team = get_post_meta( $this->match_id, '_joomsport_home_team', true );
        $away_team = get_post_meta( $this->match_id, '_joomsport_away_team', true );
        $this->lists['squard1'] = $jsDatabase->select("SELECT * FROM {$jsDatabase->db->joomsport_squad} WHERE squad_type = 1 AND match_id={$this->match_id} AND  team_id={$home_team}");
        
        $this->lists['squard2'] = $jsDatabase->select("SELECT * FROM {$jsDatabase->db->joomsport_squad} WHERE squad_type = 1 AND match_id={$this->match_id} AND  team_id={$away_team}");
        
        
        $this->lists['squard1_res'] = $jsDatabase->select("SELECT * FROM {$jsDatabase->db->joomsport_squad} WHERE squad_type = 2 AND match_id={$this->match_id} AND  team_id={$home_team} ORDER BY minutes");
        
        $this->lists['squard2_res'] = $jsDatabase->select("SELECT * FROM {$jsDatabase->db->joomsport_squad} WHERE squad_type = 2 AND match_id={$this->match_id} AND  team_id={$away_team} ORDER BY minutes");
        
    }

    public function getMaps()
    {
        global $jsDatabase;
        $season_id = $this->getSeasonID();
        $this->lists['maps'] = get_post_meta($this->match_id, '_joomsport_match_maps',true);

    }
    public function getSeasonOptions()
    {
        global $jsDatabase;
        $season_id = $this->getSeasonID();
        
        $seasPost = get_post($season_id);

        return $seasPost;
    }

    public function getCustomMatch()
    {
        global $jsDatabase;
        $season_id = $this->getSeasonID();

        $query = 'SELECT *'
                .' FROM '.$jsDatabase->db->joomsport_match_statuses;

        return $jsDatabase->selectObject($query);
    }
    
}
