<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
class modelJsportPlayer
{
    public $season_id = null;
    public $player_id = null;
    public $lists = null;
    private $row = null;

    public function __construct($id, $season_id = 0)
    {
        $this->season_id = $season_id;
        $this->player_id = $id;

        if (!$this->player_id) {
            die('ERROR! Player ID not DEFINED');
        }
        $this->loadObject();
    }
    private function loadObject()
    {
        global $jsDatabase;
        /*$this->row = $jsDatabase->selectObject('SELECT p.*,c.country,c.ccode '
                .'FROM '.DB_TBL_PLAYERS.' as p'
                .' LEFT JOIN '.DB_TBL_COUNTRIES.' as c ON c.id=p.country_id'
                .' WHERE p.id = '.$this->player_id);*/
        $this->row = get_post($this->player_id);
    }
    public function getRow()
    {
        //$this->loadLists();
        return $this->row;
    }
    public function loadLists()
    {
        global $jsDatabase;
        $metadata = get_post_meta($this->player_id,'_joomsport_player_personal',true);
        
        $this->lists['ef'] = classJsportExtrafields::getExtraFieldList($this->player_id, '0', $this->season_id);
        if(isset($metadata['last_name']) && ($metadata['last_name'])){
            $tmparr = array(__('Last Name','joomsport-sports-league-results-management') => $metadata['last_name']);
            $this->lists['ef'] = array_merge($tmparr, $this->lists['ef']);
        }
        if(isset($metadata['first_name']) && ($metadata['first_name'])){
            $tmparr = array(__('First Name','joomsport-sports-league-results-management') => $metadata['first_name']);
            $this->lists['ef'] = array_merge($tmparr, $this->lists['ef']);
            //$this->lists['ef'][__('First Name','joomsport-sports-league-results-management')] = $metadata['first_name'];
        }
        
        

        $teams = JoomSportHelperObjects::getPlayerTeams($this->season_id, $this->player_id);
        if(count($teams)){
            $tt = '';
            for($intA = 0; $intA < count($teams); $intA++){
                if($intA != 0){
                    $tt .= ', ';
                }
                $tt .= get_the_title($teams[$intA]);
            }
            $this->lists['ef'][__('Team','joomsport-sports-league-results-management')] = $tt;
        }
        if (isset($this->row->country_id) && $this->row->country_id) {
            $url = 'components/com_joomsport/img/flags/' . strtolower($this->row->ccode) . '.png';
            if (file_exists($url)) {
                $this->lists['ef'][__('Country','joomsport-sports-league-results-management')] =  '<img src="' . JURI::base() . $url . '" alt="' . $this->row->country . '"/> ' . $this->row->country . ' </span>';
            }
        }
        $this->getPhotos();
        $this->getDefaultImage();
        $this->getHeaderSelect();

        return $this->lists;
    }

    public function getDefaultImage()
    {
        global $jsDatabase;
        $this->lists['def_img'] = null;
        if (isset($this->lists['photos'][0])) {
            $this->lists['def_img'] = $this->lists['photos'][0];
        }
    }
    public function getPhotos()
    {
        global $jsConfig;
        $photos = get_post_meta($this->player_id,'vdw_gallery_id',true);

        $this->lists['photos'] = array();
        if ($photos && count($photos)) {
            foreach ($photos as $photo) {
                //$image = get_post($photo);
                $image_arr = wp_get_attachment_image_src($photo, 'joomsport-thmb-medium');
                if (($image_arr[0])) {
                    $this->lists['photos'][] = array("id" => $photo, "src" => $image_arr[0]);
                }
            }
        }
        
    }

    public function getHeaderSelect()
    {
        global $jsDatabase;
        /*$query = "SELECT s.s_id as id,s.s_name as s_name, t.id as tourn_id, t.name"
                . " FROM ".DB_TBL_SEASONS." as s"
                . " JOIN ".DB_TBL_TOURNAMENT." as t ON t.id = s.t_id"
                . " JOIN ".DB_TBL_SEASON_TEAMS." as st ON s.s_id=st.season_id"
                . " WHERE s.published='1' AND t.published='1' AND st.team_id=" . $this->team_id . ""
                . " ORDER BY t.name, t.id, s.s_name";
        $this->lists["header"]["season"] = $jsDatabase->select($query);*/
        
        $tourns = JoomSportHelperObjects::getPlayerSeasons($this->player_id);


        $javascript = " onchange='fSubmitwTab(this);'";

        
        
        $jqre = JoomSportHelperSelectBox::Optgroup('sid', $tourns,$this->season_id, 'class="selectpicker" '.$javascript);

        $this->lists['tourn'] = $jqre;
    }
}
