<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
require_once JOOMSPORT_PATH_ENV_CLASSES.'class-jsport-participant.php';
require_once JOOMSPORT_PATH_OBJECTS.'class-jsport-group.php';
require_once JOOMSPORT_PATH_ENV_CLASSES.'class-jsport-getmdays.php';

class classJsportTournMatches
{
    private $id = null;
    private $object = null;
    public $lists = null;
    public $pagination = null;
    const VIEW = 'calendar';

    public function __construct($object)
    {
        $this->object = $object;
        $this->id = $this->object->ID;
    }

    private function loadObject()
    {
    }

    public function getObject()
    {
        return $this->object;
    }

    public function getTable($group_id)
    {
        global $jsDatabase;

        $query = 'SELECT * FROM '.$jsDatabase->db->joomsport_season_table.' '
                .' WHERE season_id = '.$this->id
                .' AND group_id = '.$group_id
                .' ORDER BY ordering';
        $table = $jsDatabase->select($query);
        
        if (!$table) {
            classJsportPlugins::get('generateTableStanding', array('season_id' => $this->id));
            $query = 'SELECT * FROM '.$jsDatabase->db->joomsport_season_table.' '
                .' WHERE season_id = '.$this->id
                .' AND group_id = '.$group_id
                .' ORDER BY ordering';
            $table = $jsDatabase->select($query);
            //$table = $this->getTournColumnsVar($group_id);
        }
        $this->getExtraFieldsTable($table);
        
        if (isset($this->lists['columns']['curform_chk']) && $this->lists['columns']['curform_chk']) {
            $this->getTeamFormGraph($table);
        }

        return $table;
    }

    public function getTeamFormGraph(&$tbl)
    {
        global $jsDatabase;

        for ($intT = 0; $intT < count($tbl); ++$intT) {
            $tid = $tbl[$intT]->participant_id;
            
            $options = array('team_id' => $tid, 'season_id' => $this->id);

        $options['limit'] = 5;
        $options['played'] = '1';
        $options['ordering_dest'] = 'desc';
        $obj = new classJsportMatches($options);
        $rows = $obj->getMatchList();

        $matches = array();

        if ($rows['list']) {
            foreach ($rows['list'] as $row) {
                $match = new classJsportMatch($row->ID, false);
                $matches[] = $match->getRowSimple();
            }
        }
        

            $from_str = '';
            $matches = array_reverse($matches);
            for ($intA = 0; $intA < 5; ++$intA) {
                $from_str .= jsHelper::JsFormViewElement(isset($matches[$intA]) ? ($matches[$intA]) : null, $tid);
            }
            $tbl[$intT]->curform_chk = $from_str;
        }

        //return $from_str;
    }

    public function calculateTable($allcolumns = false, $group_id = 0)
    {
        global $jsDatabase;
        //get knockout
        $this->getKnock();
        //$this->getPlayoffs();
        //get matchdays group


        $mdays_count = get_posts(array(
                    'post_type' => 'joomsport_match',
                    'post_status'      => 'publish',
                    'posts_per_page'   => -1,
                    'meta_query' => array(
                        array(
                        'key' => '_joomsport_seasonid',
                        'value' => $this->id),
                        
                        array(
                        'key' => '_joomsport_match_played',
                        'value' => '1')
                    ))
                );

        if ($mdays_count || (!isset($this->lists['knockout']) || !count($this->lists['knockout']))) {
            //get groups
            $groupsObj = new classJsportGroup($this->id);
            $groups = $groupsObj->getGroups();
            $this->lists['columns'] = $this->getTournColumns($allcolumns);
            $this->lists['groups'] = $groups;
            $columnsCell = array();
            //get participants
            if (count($groups)) {
                foreach ($groups as $group) {
                    if($group_id == 0 || $group_id == $group->id){
                        $columnsCell[$group->group_name] = $this->getTable($group->id);
                    }
                }
            } else {
                $columnsCell[] = $this->getTable(0);
            }
            $this->lists['columnsCell'] = $columnsCell;
        }
        //get season options
        //get variables for table view
        // multisort
        // save to db
    }

    public function getTournColumns($allcolumns)
    {
        global $jsDatabase;
        $this->lists['available_options'] = array(
            'played_chk' => __('Played','joomsport-sports-league-results-management'),
            'emblem_chk' => '',
            'win_chk' => __('Won','joomsport-sports-league-results-management'),
            'lost_chk' => __('Lost','joomsport-sports-league-results-management'),
            'draw_chk' => __('Drawn','joomsport-sports-league-results-management'),
            'otwin_chk' => __('ET Won','joomsport-sports-league-results-management'),
            'otlost_chk' => __('ET Lost','joomsport-sports-league-results-management'),
            'diff_chk' => __('Diff','joomsport-sports-league-results-management'),
            'gd_chk' => __('GD','joomsport-sports-league-results-management'),
            'point_chk' => __('Points','joomsport-sports-league-results-management'),
            'percent_chk' => __('WPCT','joomsport-sports-league-results-management'),
            'goalscore_chk' => __('For','joomsport-sports-league-results-management'),
            'goalconc_chk' => __('Against','joomsport-sports-league-results-management'),
            'winhome_chk' => __('Won home','joomsport-sports-league-results-management'),
            'winaway_chk' => __('Won away','joomsport-sports-league-results-management'),
            'drawhome_chk' => __('Drawn home','joomsport-sports-league-results-management'),
            'drawaway_chk' => __('Drawn away','joomsport-sports-league-results-management'),
            'losthome_chk' => __('Lost home','joomsport-sports-league-results-management'),
            'lostaway_chk' => __('Lost away','joomsport-sports-league-results-management'),
            'pointshome_chk' => __('Points home','joomsport-sports-league-results-management'),
            'pointsaway_chk' => __('Points away','joomsport-sports-league-results-management'),
            'grwin_chk' => __('Won in group','joomsport-sports-league-results-management'),
            'grlost_chk' => __('Lost in group','joomsport-sports-league-results-management'),
            'grwinpr_chk' => __('WPCT in group','joomsport-sports-league-results-management'),
            'curform_chk' => __('Current form','joomsport-sports-league-results-management'),
            );

        $lists = array();
        if($allcolumns){
            return $this->lists['available_options'];
        }
        $listsss = get_post_meta($this->id,'_joomsport_season_standindgs',true);
        if($listsss && count($listsss)){
            foreach ($listsss as $key => $value) {
                if($value)
                $lists[$key] = $value;
            }
        }

        return $lists;
    }

    public function getKnock()
    {
        global $jsDatabase;
        
        if($this->id){
            $options = array();
            $options['season_id'] = $this->id;
            $options['mday_type'] = '1';
            $mdays = classJsportgetmdays::getMdays($options);
            $t_single = JoomSportHelperObjects::getCurrentTournamentType($this->id);
            $this->lists['knockout'] = array();
            wp_enqueue_style('jscssbracket',plugin_dir_url( __FILE__ ).'../../../assets/css/drawBracketBE.css');
        
            for ($intA = 0; $intA < count($mdays); ++$intA) {
                //if ($mdays[$intA]->t_type == 1) {
                require_once JOOMSPORT_SL_PATH. '/../includes/classes/matchday_types/joomsport-class-matchday-knockout.php';
                $knockObj = new JoomSportClassMatchdayKnockout($mdays[$intA]->id);
                $this->lists['knockout'][] = $knockObj->getView();
                    //$this->lists['knockout'][] = $knockObj->lists['knockout'];
                /*} elseif ($mdays[$intA]->t_type == 2) {
                    require_once JS_PATH_OBJECTS.'matchdays'.DIRECTORY_SEPARATOR.'class-jsport-knockout_de.php';
                    $knockObj = new classJsportKnockoutDe($mdays[$intA], $mdays[$intA]->t_single);
                    $this->lists['knockout'][] = $knockObj->lists['knockout'];
                }*/
            }
        }
    }

    public function getPartById($partId)
    {
        $obj = new classJsportParticipant($this->id);
        $participant = $obj->getParticipiantObj($partId);

        return $participant;
    }

    //calendar
    public function getCalendar($options = array())
    {
        global $jsConfig;
        
        $this->lists['enable_search'] = $jsConfig->get('enbl_calmatchsearch');
        if (classJsportRequest::get('tmpl') == 'component') {
            $this->lists['enable_search'] = 0;
        }
        if ($this->lists['enable_search']) {
            $this->lists['options']['tourn'] = '<a href="javascript:void(0);" id="aSearchFieldset">'.__('Search the matches','joomsport-sports-league-results-management').'</a>';
        }
        if(!isset($options['season_id']) && !is_array($options['season_id'])){
            $options['season_id'] = $this->id;
        }
        
        $filtersvar = classJsportRequest::get('filtersvar');

        if ($filtersvar) {
            classJsportSession::set('filtersvar_calendar_'.$this->id, json_encode($filtersvar));
        }
        $apply_filters = false;
        if (classJsportSession::get('filtersvar_calendar_'.$this->id)) {
            $filters = json_decode(classJsportSession::get('filtersvar_calendar_'.$this->id));

            $this->lists['filtersvar'] = $filters;
            if ($filters->mday) {
                $options['matchday_id'] = $filters->mday;
                $apply_filters = true;
            }
            if ($filters->partic) {
                $options['team_id'] = $filters->partic;
                $apply_filters = true;
            }
            if ($filters->date_from) {
                $options['date_from'] = $filters->date_from;
                $apply_filters = true;
            }
            if ($filters->date_to) {
                $options['date_to'] = $filters->date_to;
                $apply_filters = true;
            }
            if ($filters->place) {
                $options['place'] = $filters->place;
                $apply_filters = true;
            }
        }
        $this->lists['apply_filters'] = $apply_filters;

        $this->lists['filters'] = array();
        $this->lists['filters']['mday_list'] = classJsportgetmdays::getMdays($options);
        $partObj = new classJsportParticipant($this->id);
        $partic = $partObj->getParticipants();
        for ($intA = 0; $intA < count($partic); ++$intA) {
            $item = $partObj->getParticipiantObj($partic[$intA]);
            $this->lists['filters']['partic_list'][$partic[$intA]] = $item->getName(false);
        }
        $link = classJsportLink::calendar('', $this->id, true);
        $pagination = new classJsportPagination($link);
        $options['limit'] = $pagination->getLimit();
        $options['offset'] = $pagination->getOffset();

        $obj = new classJsportMatches($options);
        $rows = $obj->getMatchList(JoomSportHelperObjects::getTournamentType($this->id));

        $pagination->setPages($rows['count']);
        $this->pagination = $pagination;
        $matches = array();
        //require_once JS_PATH_ENV_CLASSES . 'class-jsport-calc-player-list.php';
        if ($rows['list']) {
            foreach ($rows['list'] as $row) {
                $match = new classJsportMatch($row->ID, JSCONF_ENBL_MATCH_TOOLTIP);
                $match->getPlayerObj($match->lists['m_events_home']);
                $match->getPlayerObj($match->lists['m_events_away']);
                $matches[] = $match->getRow();
                //$obj = new classJsportCalcPlayerList($row->id);
            }
        }

        return $matches;
    }

    public function getPlayoffs()
    {
        global $jsDatabase;

        $query = 'SELECT m.*,m.id as mid,m.team1_id as home, m.team2_id as away, md.m_name '
                .' FROM '.DB_TBL_MATCHDAY.' as md,'
                .' '.DB_TBL_MATCH.' as m'
                .'  WHERE  m.m_id = md.id AND md.s_id = '.$this->id.''
                .' AND m.published = 1 AND md.is_playoff = 1'
                .' AND md.t_type = 0 '
                .' ORDER BY md.ordering,md.id,m.id';

        $rows = $jsDatabase->select($query);
        $matches = array();
        if ($rows) {
            foreach ($rows as $row) {
                $match = new classJsportMatch($row->id, false);
                $matches[] = $match->getRow();
                //$obj = new classJsportCalcPlayerList($row->id);
            }
        }
        $this->lists['playoffs'] = $matches;
    }

    public function getExtraFieldsTable(&$table)
    {
        $type = JoomSportHelperObjects::getTournamentType($this->id) ? 0 : 1;
        $this->lists['ef_table'] = $ef = classJsportExtrafields::getExtraFieldListTable($type);
        if (count($ef) && count($table)) {
            for ($intA = 0; $intA < count($table); ++$intA) {
                for ($intB = 0; $intB < count($ef); ++$intB) {
                    $table[$intA]->{'ef_'.$ef[$intB]->id} = classJsportExtrafields::getExtraFieldValue($ef[$intB]->id, $table[$intA]->participant_id, $type, $this->id);
                }
            }
        }
    }

    public function getCalendarView()
    {
        return self::VIEW;
    }
}
