<?php

/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class pluginJoomsportPlayerlist
{
    public static function generatePlayerList($args)
    {
        $season_id = (isset($args['season_id']) && $args['season_id']) ? $args['season_id'] : 0;
        if (!$season_id) {
            return;
        }
        new calcPlayerList($season_id);
    }
}

class calcPlayerList
{
    private $match_id = null;
    private $matchObj = null;
    private $season_id = null;
    private $single = null;
    public function __construct($season_id)
    {
        global $jsDatabase;
        require_once JS_PATH_MODELS.'model-jsport-match.php';
        require_once JS_PATH_MODELS.'model-jsport-season.php';
        $this->season_id = $season_id;
        $season = new modelJsportSeason($this->season_id);
        $this->single = $season->getSingle();
        /*$query = "SELECT m.* FROM ".DB_TBL_MATCHDAY." as md "
                 . " JOIN ".DB_TBL_MATCH." as m ON m.m_id = md.id "
                 . " WHERE md.s_id = " . $this->season_id;
        $matches = $jsDatabase->select($query);
        for($intA = 0; $intA < count($matches); $intA ++){
             $this->match_id = $matches[$intA]->id;
             $match = new modelJsportMatch($this->match_id);
             $this->matchObj = $match->row;

             $this->recalculateColumn();
        }*/
        $this->recalculateColumn();
    }
    public function recalculateColumn()
    {
        global $jsDatabase;
        if ($this->single == '1') {
            $query = 'SELECT p.id, 0 AS team_id'
                .' FROM '.DB_TBL_PLAYERS.' as p'
                .' JOIN '.DB_TBL_SEASON_PLAYERS.' as t ON t.player_id = p.id'
                ." WHERE t.season_id = {$this->season_id}";
        } else {
            $query = 'SELECT p.id, s.team_id '
                .' FROM '.DB_TBL_PLAYERS.' as p'
                .' JOIN '.DB_TBL_PLAYERS_TEAM.' as s ON p.id = s.player_id'
                .' JOIN '.DB_TBL_SEASON_TEAMS.' as t ON t.team_id = s.team_id AND s.season_id = t.season_id'
                ." WHERE s.season_id = {$this->season_id}";
        }
        $players = $jsDatabase->select($query);

        $query = 'SELECT * FROM '.DB_TBL_EVENTS."  WHERE player_event = '1' OR player_event = '2'";
        $events = $jsDatabase->select($query);
        for ($intA = 0; $intA < count($events); ++$intA) {
            $event = $events[$intA];
            $tblCOl = 'eventid_'.$event->id;
            $is_col = $jsDatabase->selectValue('SHOW COLUMNS FROM '.DB_TBL_PLAYER_LIST." LIKE '".$tblCOl."'");

            if (!$is_col) {
                $jsDatabase->select('ALTER TABLE '.DB_TBL_PLAYER_LIST.' ADD `'.$tblCOl."` FLOAT NOT NULL DEFAULT  '0'");
                //$database->query();
            }
        }

        for ($intC = 0; $intC < count($players); ++$intC) {
            for ($intA = 0; $intA < count($events); ++$intA) {
                $event = $events[$intA];

                $sum = ($event->result_type == 1) ? 'ROUND(AVG(me.ecount),3)' : 'SUM(me.ecount)';
                if ($this->single == '1') {
                    $query = 'SELECT '.$sum.' as esum'
                        .' FROM '.DB_TBL_PLAYERS.' as p'
                        .' JOIN '.DB_TBL_SEASON_PLAYERS.' as s ON p.id = s.player_id'
                        .' LEFT JOIN ('.DB_TBL_MATCHDAY.' as md'
                        .'  JOIN '.DB_TBL_MATCH.' as m ON (m.m_id=md.id AND m.m_played = 1)'
                        .'  JOIN '.DB_TBL_MATCH_EVENTS.' as me ON (me.match_id = m.id   AND '
                        .' '.($event->player_event == '2' ? '(me.e_id = '.$event->sumev1.' OR me.e_id = '.$event->sumev2.')' : "me.e_id = '".intval($event->id)."'").') )'
                        .' ON (md.s_id = s.season_id AND (m.team1_id=p.id OR m.team2_id=p.id) AND p.id=me.player_id)'
                        ." WHERE p.id = {$players[$intC]->id}"
                        ." AND s.season_id = {$this->season_id}"
                        .' GROUP BY p.id';
                } else {
                    $query = 'SELECT '.$sum.' as esum'
                        .' FROM '.DB_TBL_PLAYERS.' as p'
                        .' JOIN '.DB_TBL_PLAYERS_TEAM.' as t ON (p.id=t.player_id AND t.team_id='.$players[$intC]->team_id." AND t.season_id={$this->season_id} )"
                        .' LEFT JOIN ('.DB_TBL_MATCHDAY.' as md'
                        .'  JOIN '.DB_TBL_MATCH.' as m ON (m.m_id=md.id AND m.m_played = 1)'
                        .'  JOIN '.DB_TBL_MATCH_EVENTS.' as me ON (me.match_id = m.id   AND '
                        .' '.($event->player_event == '2' ? '(me.e_id = '.$event->sumev1.' OR me.e_id = '.$event->sumev2.')' : "me.e_id = '".intval($event->id)."'").') )'
                        .' ON (md.s_id = t.season_id AND (m.team1_id=t.team_id OR m.team2_id=t.team_id) AND t.team_id=me.t_id AND me.player_id = p.id)'
                        ." WHERE t.confirmed='0'"
                        ." AND p.id = {$players[$intC]->id}"
                        .' GROUP BY p.id';
                }

                $value = $jsDatabase->selectValue($query);

                $tblCOl = 'eventid_'.$event->id;
                $query = 'INSERT INTO '.DB_TBL_PLAYER_LIST.' (player_id, team_id, season_id, `'.$tblCOl.'`)'
                        ." VALUES({$players[$intC]->id},{$players[$intC]->team_id},{$this->season_id},'".floatval($value)."')"
                        .' ON DUPLICATE KEY UPDATE `'.$tblCOl."` = '".floatval($value)."'";
                $jsDatabase->insert($query);
            }

            //played matches
            if ($this->single == 1) {
                $query = 'SELECT COUNT(m.id)'
                        .' FROM '.DB_TBL_MATCH.' as m,'
                        .' '.DB_TBL_MATCHDAY.' as md'
                        .' WHERE md.id=m.m_id AND md.s_id='.$this->season_id
                        .' AND (m.team1_id = '.$players[$intC]->id.' OR m.team2_id = '.$players[$intC]->id.')'
                        ." AND m.team1_id > 0 AND m.team2_id > 0"
                        ." AND m.m_played='1'";
                $mplayed = (int) $jsDatabase->selectValue($query);
                $mplayed_in = 0;
            } else {
                $query = 'SELECT COUNT(m.id)'
                        .' FROM '.DB_TBL_SQUARD.' as s,'
                        .' '.DB_TBL_MATCH.' as m,'
                        .' '.DB_TBL_MATCHDAY.' as md'
                        .' WHERE md.id=m.m_id AND md.s_id='.$this->season_id
                        .' AND m.id=s.match_id AND s.team_id = '.$players[$intC]->team_id
                        ." AND m.m_played='1' AND s.mainsquard='1'"
                        .' AND s.player_id='.$players[$intC]->id;
                $mplayed = (int) $jsDatabase->selectValue($query);

                $query = 'SELECT COUNT(m.id)'
                        .' FROM '.DB_TBL_SUBSIN.' as s,'
                        .' '.DB_TBL_MATCH.' as m,'
                        .' '.DB_TBL_MATCHDAY.' as md'
                        .' WHERE md.id=m.m_id AND md.s_id='.$this->season_id
                        .' AND m.id=s.match_id AND s.team_id = '.$players[$intC]->team_id
                        ." AND m.m_played='1'"
                        .' AND s.player_in='.$players[$intC]->id;
                $mplayed_in = (int) $jsDatabase->selectValue($query);
            }
            $query = 'UPDATE '.DB_TBL_PLAYER_LIST.' SET played = '.($mplayed + $mplayed_in)
                    ." WHERE player_id = {$players[$intC]->id} AND team_id = {$players[$intC]->team_id} AND season_id = {$this->season_id}";
            $jsDatabase->insert($query);
        }

    }
}
